/** 
 *投诉列表页面控制器
 * @hx
 **/


angular.module('complaints_list', ["posthelper", 'ngRoute'])

	.controller('list', function($scope, $http, posthelper,$compile) {
		mui.init();  
		//绑定按键
		$scope.closeLayer=function(){
			$('.active-day').css('display','none');
		};
		
		$scope.showLayer=function(){
			$('.active-day').css('display','block');
		};
		
		$scope.back=function(){
			app.openWindow("complaints_rule", "complaints_rule.html");
		};
		
		$scope.login=function(){
			if(app.getState().head.token == null || app.getState().head.token == '') {
				app.openWindow("login", "../../login.html");
				return;
		    }
		    
		    var state = app.getState();
			state.method = 'GetUserInfo';
			state.parameter = {};
			posthelper.httppost(app.serverUrl, state, function callback(backdata) {
				$scope.$apply(function() {
					
					var param = { //这是要传的数据  
		                isLogin: 'yes',
		                nickname:backdata.NickName,
		                tel:app.getParameter("phone")
		            };  
		  
		            function SendPage() {  
		                mui.openWindow({//目标页面  
		                    url: 'complaints_content.html',  
		                    id: 'complaints_content',  
		                    extras: param  
		                });  
		            }  
					SendPage();
				})
			});
			
		    
		};
		
		
		
		//获取列表
		mui.init({
			swipeBack: true,
			pullRefresh : {
		    container:refreshContainer,//待刷新区域标识，querySelector能定位的css选择器均可，比如：id、.class等
		    up : {
		      height:50,//可选.默认50.触发上拉加载拖动距离
		      auto:false,//可选,默认false.自动上拉加载一次
		      contentrefresh : "正在加载...",//可选，正在加载状态时，上拉加载控件上显示的标题内容
		      contentnomore:'没有更多数据了',//可选，请求完毕若没有更多数据时显示的提醒内容；
		      callback :loadmore //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
		    }
		  }
		});
		//加载数据
		var state = app.getState();
		var method = 'GetComplaintList';
		
		var pageIndex = 1;
		var type = 2;
		var pageSize = 9;
		$scope.doSearch = function(pageIndex,type) {
			var state = app.getState();
			var parameter = {
			str:"",  //查询参数
			type:type, 
			pageIndex:pageIndex,
			pageSize:pageSize,
		    };
		    state.method = method;
			state.parameter=parameter;
			posthelper.httppost(app.serverUrl, state, function callback(backdata) {
			$scope.$apply(function() {
				
				console.log(JSON.stringify(backdata));
				
               if(pageIndex ==1){ 
					$scope.complainList = backdata;
				}
               else{
					if(backdata.length != 0){
					mui('#refreshContainer').pullRefresh().endPullupToRefresh(false);
        			$scope["complainList"+pageIndex] = backdata;
        			var el = $compile("<div class='construct-height' ng-repeat='item in complainList"+pageIndex+"'><div class='reward-item'  complaintsid='{{item.ID}}'><div class='reward-article reward-article-color-a' ng-if='item.IsSecret == 1'><strong>【{{item.Questyle}}】</strong> {{item.Title}}</div><div class='reward-article reward-article-color-b' ng-if='item.IsSecret == 0'><strong>【{{item.Questyle}}】</strong> {{item.Title}}</div><div class='user-info'><div class='phone-script  phone-script-color' ng-bind='item.State'></div><div class='reward-day' ng-bind='item.CreateTime'></div></div></div></div>")($scope); //重新compile一下，再append
             
	            	$("#listcontent").append(el);
	            	
        		    }else{
        		    	 mui('#refreshContainer').pullRefresh().endPullupToRefresh(true);
        		    }
					
				}
				

			});
		 });
		};
		
		$scope.doSearch(1,type);
		function loadmore(){
			pageIndex++;
			$scope.doSearch(pageIndex,type);
            $scope["complainList"+pageIndex] = null;
		};
		
		$scope.repeatList=function(){
			if(type == 2){
				return 
			}else{
				refreshList();
			}
		};
		mui(".bottom-listviedo").on("tap",".reward-item",function(){
			var ID=this.getAttribute("complaintsid");
					app.setParameter("id",ID)
					mui.openWindow({
					    url:'letter_reply.html',
					    id:'letter_reply'
					});
		});
		
		function refreshList(){
			type = 2;
			$(".construct-height").html('');
			mui('#refreshContainer').pullRefresh().refresh(true);
			$('.fix-option').eq(1).addClass('fix-color'); 
			$('.fix-option').eq(0).removeClass('fix-color');
			pageIndex = 1;
			$scope.doSearch(pageIndex,type);
		};
		
		$scope.myMail=function(){
			if(type == 1){
				return
			}else{
				if(app.getState().head.token == null || app.getState().head.token == '') {
					app.openWindow("login", "../../login.html");
					return; 
			    }
				type = 1; 
				$(".construct-height").html('');
				mui('#refreshContainer').pullRefresh().refresh(true);
				$('.fix-option').eq(0).addClass('fix-color'); 
				$('.fix-option').eq(1).removeClass('fix-color'); 
				pageIndex = 1;
				$scope.doSearch(pageIndex,type);
			}
		};
		
		$scope.tousu=function(){
			app.openWindow("complaints_content", "complaints_content.html");
		};
		//根据查询码过滤数据
		$scope.searchbycode=function(){
			var state = app.getState();
			var code = $('#searchByCode').val();
			state.method = 'GetComplaintQuery';
			state.parameter = {
           		SeekCode : code
        	};
        	
			posthelper.httppost(app.serverUrl, state, function callback(backdata) {
			$scope.$apply(function() {
				
				  if(backdata.length){ 
				  	var id = backdata[0].ID;
					app.setParameter("id",id)
					mui.openWindow({ 
					    url:'letter_reply.html',
					    id:'letter_reply.html'
					});
				  }else{
				  	mui.toast('查询码错误或信息不存在');
				  }
					
				})
			});
		}
		
		//添加自定义事件
		window.addEventListener('refreshload', function(event) {
			//window.location.reload();
			$scope.closeLayer();
			refreshList();
		});

 
}).filter("replaceslash", function() {
		return function(input) {
			var out = "";
			return input.replace("/", "");
		}
	})
	.config(function($compileProvider) {
		$compileProvider.aHrefSanitizationWhitelist(/^\s*(https?|ftp|mailto|file|javascript):/);
	});