/** 
 *主页面控制器
 * @sxy
 **/

angular.module('zhxyteacher.approval_publicity', ["posthelper"])

	.controller('approval_publicity_controller', function($scope, posthelper,$sce) {
		mui.init({
			swipeBack: true
		});
		$scope.content = "";
		var areaid = app.getParameter("areaid");
		var areatype = app.getParameter("areatype");
		$scope.areatype=areatype;
		var state = app.getState();
		var method = '';
		var parameter;
		//获取夜间施工内容
		if(areatype == 'GetConstruction') {
			method="GetConstructDetail";
			parameter={
				Id:areaid
			}
		//获取行政处罚内容
		}else if(areatype=='GetPunishList'){
			method="GetPunishDetailed";
			parameter={
				penaltyID:areaid
			}
		//建设项目审批内容
		}else if(areatype=='GetJsSpList'){
			method="GetSpInfo";
			parameter={
				Id:areaid
			}
		//建设项目验收内容
		}else if(areatype=='GetJsYsList'){
			method="GetYsInfo";
			parameter={
				Id:areaid
			}
		//辐射审批内容
		}else if(areatype=='GetFSXKZList'){
			method="GetFSXKZ";
			parameter={
				Gid:areaid
			}
		//不达标名单
		}else if(areatype=='GetEnterpriseNoList'){
			method="GetEnterpriseNoDetail";
			parameter={
				id:areaid
			}
		}
		$scope.openfile = function(fileurl){
			console.log(fileurl);
			mui.plusReady(function(){
//				alert(plus.os.name);
				if(plus.os.name == 'Android'){
					 plus.runtime.openURL(fileurl);
				}else{
					var wait = plus.nativeUI.showWaiting("正在打开文件...");
				    var dtask = plus.downloader.createDownload(fileurl, {method: "GET"}, function(d, status) {
				        if (status == 200) {
				            plus.runtime.openFile(d.filename, {}, function(e){
				                wait.close();
				                mui.alert( "无法打开此文件："+e.emssage,"我的软件" );
				            });
				            wait.close();
				        } else {
				            wait.close();
				            mui.alert("文件打开失败: " + status, "我的软件");
				        }
				    });
				    dtask.start();
				}
				
			})
		}
		//文件跳转
		$scope.towebview=function(tourl){
			mui.openWindow({
					id: 'webview',
					url: '../webview/webview.html',
					extras: {
						weburl: tourl
					}
				});
		}
		state.method = method;
		state.parameter = parameter;
		posthelper.httppost(app.serverUrl, state, function callback(backdata) {
			$scope.$apply(function() {
				console.log("公示详情："+JSON.stringify(backdata));
				moment.locale('zh-cn'); //选择语言（中文）
				//$scope.SendFileTime = moment(backdata.SendFileTime).format('YYYY-MM-DD');//发文日期
			    $scope.PublicityTime_Start=moment(backdata.PublicityTime_Start).format('YYYY-MM-DD');//公式开始时间
			    $scope.PublicityTime_End=moment(backdata.PublicityTime_End).format('YYYY-MM-DD');//公示结束时间
			    $scope.content =  $sce.trustAsHtml(decodeURIComponent(backdata.Content));
//			    console.log($scope.content);
				$scope.areacount=backdata;
			  });
	});
}).filter("replaceslash", function() {
		return function(input) {
			var out = "";
			return input.replace("/", "");
		}
	})
	.config(function($compileProvider) {
		$compileProvider.aHrefSanitizationWhitelist(/^\s*(https?|ftp|mailto|file|javascript):/);
	});