/** 
 *登录页面控制器
 * @lxl
 **/

angular.module('zhxyteacher.complaint_report_display', ["posthelper"])
	.controller('complaint_report_display_controller', function($scope, posthelper) {
		mui.init({
			swipeBack: true
		});
		mui.previewImage();
		var rewardid = app.getParameter("rewardid");
		var type = app.getParameter("type") //机动车还是环境举报
		var state = app.getState();
		state.parameter = {
			id: rewardid
		};
		var methods = "";
		if(type == "1") {
			methods = "GetReportDetail";
		} else {
			methods = "GetVehicleDetail";
		}
		var state = app.getState();
		var parameter = {
			id: rewardid
		};
		state.method = methods;
		state.parameter=parameter;
		posthelper.httppost(app.serverUrl, state, function callback(backdata) {
			$scope.$apply(function() {
				console.log("有奖举报数据：" + JSON.stringify(backdata));
				$scope.longitude = backdata.longitude;
				$scope.latitude = backdata.latitude;
				$scope.Address = backdata.Address;
				var Photograph=backdata.Photograph;
				if(Photograph=="0001/1/1 0:00:00"){
					var Photograph="";
				}else{
					var Photograph=backdata.Photograph;
				}
				var titles="";
				var Classname="";
				if(type == "1") {
					titles = backdata.Collection;
					Classname=backdata.InfoClassNmae;
				} else {
					var str=backdata.LicenseNO;
					titles = str.substring(0,str.length-2)+"**";
					var colorur=backdata.Colour;
					$scope.colorur=colorur;
					$scope.Photograph=Photograph;
				}
				$scope.type=type;
				$scope.titles = titles;
				$scope.Remark = backdata.Remark;
				$scope.imglist = backdata.img;
				$scope.Classname=Classname;
			});
		});
		$scope.mapselect = function() {
			var longitude = $scope.longitude;
			var latitude = $scope.latitude;
			var adrr = $scope.Address;
			app.setParameter("longitude", longitude);
			app.setParameter("latitude", latitude);
			app.setParameter("adrr", adrr);
			app.openWindow("complaint_report_display_map", "complaint_report_display_map.html")
		}

	}).filter("replaceslash", function() {
		return function(input) {
			var out = "";
			return input.replace("/", "");
		}
	}).config(function($compileProvider) {
		$compileProvider.aHrefSanitizationWhitelist(/^\s*(https?|ftp|mailto|file|javascript):/);
	});