/** 
 *主页面控制器
 * @sxy
 **/

angular.module('zhxyteacher.complaint_report_display_map_controller', ["posthelper"])

	.controller('complaint_report_display_map_controller', function($scope, posthelper) {
		mui.init({
			swipeBack: true
		});
		var type = app.getParameter("type");
		var ws = null,
			wo = null;
		var em = null,
			map = null,
			pcenter = null;
		// H5 plus事件处理
		if(window.plus) {
			plusReady();
		} else {
			document.addEventListener("plusready", plusReady, false);
		}
		//请求数据
		function plusReady() {
			var longitude = app.getParameter("longitude");
			var latitude = app.getParameter("latitude");
			var adrr = app.getParameter("adrr");
			map_init(longitude, latitude, adrr);
		}

		function map_init(longitude, latitude, adrr) {
			if(!em || ws) {
				return
			};
			// 获取窗口对象
			ws = plus.webview.currentWebview();
			wo = ws.opener();
			pcenter = new plus.maps.Point(longitude, latitude);
			setTimeout(function() {
				map = new plus.maps.Map("map");
				map.centerAndZoom(pcenter, 12);
				createMarker(longitude, latitude, adrr);
			}, 300);                      
		}

		function createMarker(longitude, latitude, adrr) {
			//高德地图坐标为(116.3406445236,39.9630878208), 百度地图坐标为(116.347292,39.968716
			var marker = new plus.maps.Marker(new plus.maps.Point(longitude, latitude));
			marker.setIcon("../../images/oneicon.png");
			marker.setLabel(adrr);
			var bubble = new plus.maps.Bubble(adrr);
			marker.setBubble(bubble);
			map.addOverlay(marker);
		}
		// DOMContentloaded事件处理
		document.addEventListener("DOMContentLoaded", function() {
			em = document.getElementById("map");
			window.plus && plusReady();
		}, false);

	})
	.filter("replaceslash", function() {
		return function(input) {
			var out = "";
			return input.replace("/", "");
		}
	})
	.config(function($compileProvider) {
		$compileProvider.aHrefSanitizationWhitelist(/^\s*(https?|ftp|mailto|file|javascript):/);
	});