/** 
 *登录页面控制器
 * @lxl
 **/

angular.module('zhxyteacher.complete_material', ["posthelper"])
	.controller('complete_material_controller', function($scope, posthelper) {
		mui.init({
			swipeBack: true
		});
		$scope.loaddata = function(){
        	var state = app.getState();
        	state.method = "GetUserInfo";
        	state.parameter = {
        	}
        	posthelper.httppost(app.serverUrl, state, function callback(backdata) {
			$scope.$apply(function() {
				console.log(JSON.stringify(backdata));
				$scope.myinfo = backdata;
			});
		 });
        }
        $scope.loaddata();
        $scope.savepersonInfo = function(){
        	$scope.sex = document.getElementById("sex").value;
        	var myreg = /^([a-zA-Z0-9]+[_|\_|\.]?)*[a-zA-Z0-9]+@([a-zA-Z0-9]+[_|\_|\.]?)*[a-zA-Z0-9]+\.[a-zA-Z]{2,3}$/;
        	 if($scope.email !=undefined&&$scope.email !='' && !myreg.test($scope.email)){
        	 	alert('请输入有效的email');
        	 	return;
        	 }
        	 

        	 if($scope.telephone !=undefined&&$scope.telephone !=''){
				var result=$scope.telephone.match(/\d{3}-\d{8}|\d{4}-\d{7}/);
				if(result==null){
					alert('请输入正确的固话');
					return;
				} 
			}
        	var state = app.getState();
        	state.method = "GetAddUserData";
        	state.parameter = {
        		nickname:$scope.nickname,
        		name:$scope.name,
        		sex:$scope.sex,
        		telephone:$scope.telephone,
        		email:$scope.email,
        		address:$scope.address
        	}
        	posthelper.httppost(app.serverUrl, state, function callback(backdata) {
			$scope.$apply(function() {
				console.log(JSON.stringify(backdata));
				if(backdata.type="ok"){
					app.setParameter("nickname",$scope.nickname);
					mui.toast(backdata.msg);
				}
			});
		 });
        }
		
	}).filter("replaceslash", function() {
		return function(input) {
			var out = "";
			return input.replace("/", "");
		}
	})
	.config(function($compileProvider) {
		$compileProvider.aHrefSanitizationWhitelist(/^\s*(https?|ftp|mailto|file|javascript):/);
	});