/** 
 *主页面控制器
 * @sxy
 **/

angular.module('zhxyteacher.guidebook', ["posthelper"])

	.controller('guidebook_controller', function($scope, posthelper) {
		mui.init({
			swipeBack: true
		});
		var moduleid = app.getParameter("moduleid");
		var ws = null,
			wo = null;
		var em = null,
			map = null;
		$scope.pcenter = null;
		// H5 plus事件处理
		function plusReady() {
			if(!em || ws) {
				return
			};
			//请求数据
			var state = app.getState();
			var method = "GetHandleGuide";
			var parameter = {
				ModuleId: moduleid
			}
			state.method = method;
			state.parameter = parameter;
			posthelper.httppost(app.serverUrl, state, function callback(backdata) {
				$scope.$apply(function() {
					console.log("办事指南数据：" + JSON.stringify(backdata));
					$scope.HandleGuide = backdata;
					// 获取窗口对象
					//ws = plus.webview.currentWebview();
					//wo = ws.opener();
					$scope.pcenter = new plus.maps.Point(backdata.Longitude, backdata.Latitude);
//					setTimeout('alert(111)',5000);
					$scope.WorkPlace = backdata.WorkPlace;
					// 显示页面并关闭等待框
					//ws.show("pop-in");
				});
			});
			
		}		
		if(window.plus) {
			plusReady();
		} else {
			document.addEventListener("plusready", plusReady, false);
		}
		// DOMContentloaded事件处理
		document.addEventListener("DOMContentLoaded", function() {
			em = document.getElementById("map");
			window.plus && plusReady();
		}, false);
		
		$scope.$on('ngRepeatFinished', function (ngRepeatFinishedEvent) {
          //下面是在table render完成后执行的js
          map = new plus.maps.Map("map");
		  map.centerAndZoom($scope.pcenter, 12);
		  createMarker($scope.pcenter,$scope.WorkPlace);
         });

		function createMarker(pcenter,WorkPlace) {
			//高德地图坐标为(116.3406445236,39.9630878208), 百度地图坐标为(116.347292,39.968716
			var marker = new plus.maps.Marker(pcenter);
			var bubble = new plus.maps.Bubble( WorkPlace );
			marker.setIcon("/images/oneicon.png");
			marker.setLabel("");
			marker.setBubble(bubble);
			map.addOverlay(marker);
		}
		$scope.tocontent = function(title,url) {
			var urlstr="";
			if(url.indexOf("http")>=0){
				urlstr=url;
			}else{
				urlstr="http://"+url;
			}
			clicked('../main/complain.html',true,false,{title:"办事指南",targeturl:urlstr});
		}
		$scope.backPostion = function(){
			map.setCenter( $scope.pcenter );
		}
	})
	.filter("replaceslash", function() {
		return function(input) {
			var out = "";
			return input.replace("/", "");
		}
	})
	.directive('onFinishRenderFilters', function ($timeout) {
    return {
        restrict: 'A',
        link: function(scope, element, attr) {
            if (scope.$last === true) {
                $timeout(function() {
                    scope.$emit('ngRepeatFinished');
                });
            }
        }
    };
})
	.config(function($compileProvider) {
		$compileProvider.aHrefSanitizationWhitelist(/^\s*(https?|ftp|mailto|file|javascript):/);
	});