/** 
 *主页面控制器
 * @sxy
 **/

angular.module('zhxyteacher.main', ["posthelper", 'ngRoute'])

	.controller('mainpage', function($scope, $sce, $http, posthelper) {
		mui.init({
			swipeBack: false
		});
		var ws = null;
		var list = null;
		// 处理沉浸式状态栏
		var topoffset = 0;
		var ms = (/Html5Plus\/.+\s\(.*(Immersed\/(\d+\.?\d*).*)\)/gi).exec(navigator.userAgent);
		if(ms && ms.length >= 3) {
			topoffset = parseFloat(ms[2]);
		}
		// 扩展API加载完毕，现在可以正常调用扩展API
		function plusReady() {
			ws = plus.webview.currentWebview();
			if(plus.navigator.isImmersedStatusbar()) { // 兼容沉浸式状态栏模式
				topoffset = Math.round(plus.navigator.getStatusbarHeight());
			}
			ws.setPullToRefresh({
				support: true,
				style: 'circle',
				offset: topoffset + 45 + 'px'
			}, onRefresh);
		}
		// 判断扩展API是否准备，否则监听'plusready'事件
		if(window.plus) {
			plusReady();
		} else {
			document.addEventListener('plusready', plusReady, true);
		}
		// 刷新页面
		function onRefresh() {
			var activeids = "";
			mui('.active').each(function(index, item) {
				activeid = item.getAttribute("activeid");
				if(activeid != null) {
					activeids = activeid;
				}
			});
			setTimeout(function() {
				app.setParameter("refresh", '2');
				if(activeids.indexOf("home") >= 0) {
					uploadhome();
				} else if(activeids.indexOf("user") >= 0) {
					uploaduser();
				}
				ws.endPullToRefresh();
			}, 1000);
		}
		//下拉刷新主页数据，局部刷新
		var uploadhome = function() {
			$scope.getedition(); //获取应用信息
			//实时空气质量显示
			var state = app.getState();
			var method = 'GetAq';
			var parameter = {};
			state.method = method;
			state.parameter = parameter;
			posthelper.httppost(app.serverUrl, state, function callback(backdata) {
				$scope.$apply(function() {
					console.log(JSON.stringify(backdata));
					state.method = "GetAqBgi";
					state.parameter = {
						"filename": backdata.ImgIcon
					}
					posthelper.httppost(app.serverUrl, state, function callback(data) {
						$scope.$apply(function() {
							console.log(JSON.stringify(data));
							$scope.ImgIcon = data.imgdata;
						});
					});
					moment.locale('zh-cn'); //选择语言（中文）
					var nowdate = moment().subtract(10, 'days').calendar();
					var weeks = moment().format('dddd');
					var updatetime = moment(backdata.Date_Time).format('YYYY-MM-DD HH') + ":00";
					$scope.nowdate = nowdate; //当前日期
					$scope.weeks = weeks; //当前周几
					$scope.updatetime = updatetime + "更新";
					$scope.AppWeather = backdata.AppWeather; //天气
					//				$scope.ImgIcon = backdata.ImgIcon;
					$scope.Version = backdata.Version; //版本号
					var Date_Time = moment(backdata.Date_Time).format('YYYY-MM-DD');
					$scope.Date_Time = Date_Time; //时间
					$scope.AQIType = backdata.AQIType; //污染等级
					$scope.AQI = backdata.AQI; //AQI指数
					$scope.AQILvl = backdata.AQILvl;
					$scope.AQIWrw = $sce.trustAsHtml(backdata.AQIWrw);
					//$scope.aqilength = ($scope.AQI/500)*96;
					if(0 < $scope.AQI && $scope.AQI < 51) {
						$scope.aqilength = ($scope.AQI / 50 * (100 / 6));
					}
					if(50 < $scope.AQI && $scope.AQI < 101) {
						$scope.aqilength = (100 / 6) * 1 + (($scope.AQI - 50) / 50 * (100 / 6));
					}
					if(100 < $scope.AQI && $scope.AQI < 151) {
						$scope.aqilength = (100 / 6) * 2 + (($scope.AQI - 100) / 50 * (100 / 6));
					}
					if(150 < $scope.AQI && $scope.AQI < 201) {
						$scope.aqilength = (100 / 6) * 3 + (($scope.AQI - 150) / 50 * (100 / 6));
					}
					if(200 < $scope.AQI && $scope.AQI < 301) {
						$scope.aqilength = (100 / 6) * 4 + (($scope.AQI - 200) / 100 * (100 / 6));
					}
					if(300 < $scope.AQI && $scope.AQI < 501) {
						$scope.aqilength = (100 / 6) * 5 + (($scope.AQI - 300) / 200 * (100 / 6));
					}
					console.log("length-----" + $scope.aqilength);
					var AQI = parseInt(backdata.AQI);
					//根据不同AQI区间选择不同值得颜色
					if(AQI <= 50) {
						$scope.AQIcolor = "#00E400";
					} else if((AQI >= 51) && (AQI <= 100)) {
						$scope.AQIcolor = "#F8F225";
					} else if((AQI >= 101) && (AQI <= 150)) {
						$scope.AQIcolor = "#FF7E00";
					} else if((AQI >= 151) && (AQI <= 200)) {
						$scope.AQIcolor = "#FF0000";
					} else if((AQI >= 201) && (AQI <= 300)) {
						$scope.AQIcolor = "#99004C";
					} else if(AQI > 300) {
						$scope.AQIcolor = "#7E0023";
					}
					$scope.AQIWrw = $sce.trustAsHtml(backdata.AQIWrw); //首要污染物
					console.log(AQI + "----remark-------------------------:" + backdata.Remark);
					$scope.Remark = '温馨提示：' + backdata.Remark; //温馨提示
					console.log("首要污染物：" + backdata.AQIWrw);
				});
			});
			//小贴士(3条)
			var method = 'GetWebNewList';
			var parameter = {
				columnid: "2800",
				pageIndex: "1",
				pageSize: "3",
				titlenumber: "10",
				contentnumber: "20"
			}
			state.method = method;
			state.parameter = parameter;
			posthelper.httppost(app.serverUrl, state, function callback(backdata) {
				$scope.$apply(function() {
					console.log("小贴士：----" + JSON.stringify(backdata));
					var webNews = [];
					angular.forEach(backdata, function(item, index) {
						moment.locale('zh-cn'); //选择语言（中文）
						var updatetime = moment(item.adddate).format('YYYY-MM-DD');
						var webNew = {
							newsid: item.newsid,
							title: item.Title,
							Content: item.Content,
							adddate: updatetime,
							file1: item.file1
						}
						webNews.push(webNew);
					});
					$scope.webNewList = webNews;
				});
			});
			//获取动态菜单，并活动判断
			state.method = "GetMenu";
			state.parameter = {};
			posthelper.httppost(app.serverUrl, state, function callback(backdata) {
				$scope.$apply(function() {
					console.log("动态菜单：" + JSON.stringify(backdata));
					$scope.getmenu = backdata;
				});
			});
		}
		//下拉局部刷新我的个人信息
		var uploaduser = function() {
			//我的手机号显示在"我的模块中"
			$scope.myphoneno = app.getParameter("phone");
			//如果已经登录获取积分的等级，积分
			var state = app.getState();
			var method = "GetGradeScore";
			var parameter = {};
			state.method = method;
			state.parpmeter = parameter;
			posthelper.httppost(app.serverUrl, state, function callback(backdata) {
				$scope.$apply(function() {
					console.log("积分等级：" + JSON.stringify(backdata));
					$scope.iScore = backdata.iScore;
					$scope.iGrade = backdata.iGrade;
				});
			});
		}
		app.setParameter("tapparameter", 'tohome');
		var showGuide = false;
		if(app.getParameter("refresh") != '1' && app.getParameter("refresh") != '2') {
			app.setParameter("refresh", '1');
		}
		var isselect = "home"; //是否为选中的div
		mui.plusReady(function() {
			if(plus.webview.getWebviewById("index_full")) {
				plus.webview.getWebviewById("index_full").close();
			}
			showGuide = plus.storage.getItem("lauchFlag");
			console.log("showGuide------------" + showGuide);
			//仅支持竖屏显示
			plus.screen.lockOrientation("portrait-primary");
			if(showGuide) {
				if(app.getParameter("refresh") == '1') {
					mui.openWindow({
						id: 'active_display',
						url: 'active_display.html',
						styles: {
							popGesture: "none"
						},
						show: {
							aniShow: 'none'
						},
						waiting: {
							autoShow: false
						}
					});
				} else {

				}

				//有值，说明已经显示过了，无需显示；
				//关闭splash页面；
				//plus.navigator.closeSplashscreen();
				plus.navigator.setFullscreen(false);
				//app.openWindow("active_display","active_display.html");

			} else {
				//显示启动导航
				mui.openWindow({
					id: 'guide',
					url: '../../guide.html',
					styles: {
						popGesture: "none"
					},
					show: {
						aniShow: 'none'
					},
					waiting: {
						autoShow: false
					}
				});
			}
			app.setParameter("refresh", '1');
		});
		var deviceid = "";
		mui.plusReady(function() {
			deviceid = plus.device.uuid;
			if(app.getState().head == undefined || app.getState().head.ucode == '') {
				app.createState("", "", "", "", deviceid); //创建head,等登录之后重新获取赋值创建
			}

			//节日活动
			$scope.ifshowactive = false;
			$scope.closeactiveday = function() {
				$scope.ifshowactive = false;
				//app.setParameter("fullcontent",'进入首页');
				//app.openWindow("index_full", "../schort/air_quality/index_full.html");
			}
			$scope.openactiveday = function() {
				app.openWindow("active_display", "active_display.html");
			}
			//获取应用信息
			$scope.getedition = function() {
				var state = app.getState();
				var method = 'GetEdition';
				var parameter = {};
				state.method = method;
				state.parameter = parameter;
				posthelper.httppost(app.serverUrl, state, function callback(backdata) {
					$scope.$apply(function() {
						console.log(JSON.stringify(backdata));
						$scope.appname = backdata.AppName + "(" + backdata.VersionInfo + ")";
					});
				});
			}
			$scope.getedition();
			//环形图
			/*var myChart = echarts.init(document.getElementById('aqi'));
			        var option = {
					    title: {
					        "text": '轻度污染',
					        "x": '50%',
					        "y": '45%',
					        textAlign: "center",
					        "textStyle": {
					            "fontWeight": 'normal',
					            "fontSize": 24
					        },
					        "subtextStyle": {
					            "fontWeight": 'bold',
					            "fontSize": 25,
					            "color": '#3ea1ff'
					        }
					    },
					    series: [{
					            "name": ' ',
					            "type": 'pie',
					            "radius": ['50%', '70%'],
					            "avoidLabelOverlap": false,
					            "startAngle": 225,
					            "color": ["#F8F225", "transparent"],
					            "hoverAnimation": false,
					            "legendHoverLink": false,
					            "label": {
					                "normal": {
					                    "show": false,
					                    "position": 'center'
					                },
					                "emphasis": {
					                    "show": true,
					                    "textStyle": {
					                        "fontSize": '30',
					                        "fontWeight": 'bold'
					                    }
					                }
					            },
					            "labelLine": {
					                "normal": {
					                    "show": false
					                }
					            },
					            "data": [{
					                "value": 75,
					                "name": '1'
					            }, {
					                "value": 25,
					                "name": '2'
					            }]
					        }, {
					            "name": '',
					            "type": 'pie',
					            "radius": ['52%', '68%'],
					            "avoidLabelOverlap": false,
					            "startAngle": 317,
					            "color": ["#fff", "transparent"],
					            "hoverAnimation": false,
					            "legendHoverLink": false,
					            "clockwise": false,
					            "itemStyle": {
					                "normal": {
					                    "borderColor": "transparent",
					                    "borderWidth": "20"
					                },
					                "emphasis": {
					                    "borderColor": "transparent",
					                    "borderWidth": "20"
					                }
					            },
					            "z": 10,
					            "label": {
					                "normal": {
					                    "show": false,
					                    "position": 'center'
					                },
					                "emphasis": {
					                    "show": true,
					                    "textStyle": {
					                        "fontSize": '30',
					                        "fontWeight": 'bold'
					                    }
					                }
					            },
					            "labelLine": {
					                "normal": {
					                    "show": false
					                }
					            },
					            "data": [{
					                // "value": (100 - value1) * 266 / 360,
					                "name": ''
					            }, {
					                // "value": 100 - (100 - value1) * 266 / 360,
					                "name": ''
					            }]
					        }
					
					    ]
			};*/

			//实时空气质量显示
			var state = app.getState();
			var method = 'GetAq';
			var parameter = {};
			state.method = method;
			state.parameter = parameter;
			posthelper.httppost(app.serverUrl, state, function callback(backdata) {
				$scope.$apply(function() {
					console.log(JSON.stringify(backdata));
					state.method = "GetAqBgi";
					state.parameter = {
						"filename": backdata.ImgIcon
					}
					posthelper.httppost(app.serverUrl, state, function callback(data) {
						$scope.$apply(function() {
							console.log(JSON.stringify(data));
							$scope.ImgIcon = data.imgdata;
						});
					});
					moment.locale('zh-cn'); //选择语言（中文）
					var nowdate = moment().subtract(10, 'days').calendar();
					var weeks = moment().format('dddd');
					var updatetime = moment(backdata.Date_Time).format('YYYY-MM-DD HH') + ":00";
					$scope.nowdate = nowdate; //当前日期
					$scope.weeks = weeks; //当前周几
					$scope.updatetime = updatetime + "更新";
					$scope.AppWeather = backdata.AppWeather; //天气
					//				$scope.ImgIcon = backdata.ImgIcon;
					$scope.Version = backdata.Version; //版本号
					var Date_Time = moment(backdata.Date_Time).format('YYYY-MM-DD');
					$scope.Date_Time = Date_Time; //时间
					$scope.AQIType = backdata.AQIType; //污染等级
					$scope.AQI = backdata.AQI; //AQI指数
					$scope.AQILvl = backdata.AQILvl;
					$scope.AQIWrw = $sce.trustAsHtml(backdata.AQIWrw);
					//$scope.aqilength = ($scope.AQI/500)*96;
					if(0 < $scope.AQI && $scope.AQI < 51) {
						$scope.aqilength = ($scope.AQI / 50 * (100 / 6));
					}
					if(50 < $scope.AQI && $scope.AQI < 101) {
						$scope.aqilength = (100 / 6) * 1 + (($scope.AQI - 50) / 50 * (100 / 6));
					}
					if(100 < $scope.AQI && $scope.AQI < 151) {
						$scope.aqilength = (100 / 6) * 2 + (($scope.AQI - 100) / 50 * (100 / 6));
					}
					if(150 < $scope.AQI && $scope.AQI < 201) {
						$scope.aqilength = (100 / 6) * 3 + (($scope.AQI - 150) / 50 * (100 / 6));
					}
					if(200 < $scope.AQI && $scope.AQI < 301) {
						$scope.aqilength = (100 / 6) * 4 + (($scope.AQI - 200) / 100 * (100 / 6));
					}
					if(300 < $scope.AQI && $scope.AQI < 501) {
						$scope.aqilength = (100 / 6) * 5 + (($scope.AQI - 300) / 200 * (100 / 6));
					}
					console.log("length-----" + $scope.aqilength);
					//根据不同级别显示不同河豚照片
					//				if(backdata.AQILvl == "一级") {
					////					$scope.AQILvl = "one.png";
					//					$scope.ImgIcon = "2-1.jpg";
					//				} else if(backdata.AQILvl == "二级") {
					////					$scope.AQILvl = "two.png";
					//					$scope.ImgIcon ="2-2.jpg";
					//				} else if(backdata.AQILvl == "三级") {
					////					$scope.AQILvl = "thire.png";
					//					$scope.ImgIcon ="2-3.jpg";
					//				} else if(backdata.AQILvl == "四级") {
					////					$scope.AQILvl = "four.png";
					//					$scope.ImgIcon ="2-4.jpg";
					//				} else if(backdata.AQILvl == "五级") {
					////					$scope.AQILvl = "five.png";
					//					$scope.ImgIcon ="2-5.jpg";
					//				} else if(backdata.AQILvl == "六级") {
					////					$scope.AQILvl = "six.png";
					//					$scope.ImgIcon ="2-6.jpg";
					//				}
					var AQI = parseInt(backdata.AQI);
					//根据不同AQI区间选择不同值得颜色
					if(AQI <= 50) {
						$scope.AQIcolor = "#00E400";
					} else if((AQI >= 51) && (AQI <= 100)) {
						$scope.AQIcolor = "#F8F225";
					} else if((AQI >= 101) && (AQI <= 150)) {
						$scope.AQIcolor = "#FF7E00";
					} else if((AQI >= 151) && (AQI <= 200)) {
						$scope.AQIcolor = "#FF0000";
					} else if((AQI >= 201) && (AQI <= 300)) {
						$scope.AQIcolor = "#99004C";
					} else if(AQI > 300) {
						$scope.AQIcolor = "#7E0023";
					}
					$scope.AQIWrw = $sce.trustAsHtml(backdata.AQIWrw); //首要污染物
					console.log(AQI + "----remark-------------------------:" + backdata.Remark);
					$scope.Remark = '温馨提示：' + backdata.Remark; //温馨提示
					//				option.title.subtext = 'AQI:' + $scope.AQI;
					//				option.title.subtextStyle.color = $scope.AQIcolor;
					//				option.title.text =$scope.AQIType;
					//				option.series[0].color[0]=$scope.AQIcolor;
					//				option.title.textStyle.color = $scope.AQIcolor;
					//			    option.series[1].data[0].value = 500-125-AQI;
					//			    option.series[1].data[1].value = AQI+125;
					//			    myChart.setOption(option, true);
				});
			});
			//检测更新
			var osname = "";
			var localversion = "1.0";
			mui.plusReady(function() {
				osname = plus.os.name;
				localversion = plus.runtime.version;
				console.log(osname);
				var devicetype = "";
				if(osname == 'iOS') {
					osname = "ios";
					devicetype = app.appname;
				} else {
					osname = "android";
					devicetype = app.appname;
				}
				mui.ajax(app.updateUrl, {
					data: {
						c: devicetype,
						t: osname
					},
					dataType: 'json',
					type: 'get',
					timeout: 10000,
					success: function(data, status, xhr) {
						//比较服务器和本地版本，判断是否更新
						var serverversion = data.Version;
						if(localversion < serverversion) {
							var deviceid = plus.device.uuid;
				            app.createState("", "", "", "", deviceid); //创建head,等登录之后重新获取赋值创建
							//墨绿深蓝风
							if(osname != 'iOS') {
								layer.confirm('有新版本' + serverversion, {
									skin: 'layui-layer-molv' //样式类名
										,
									closeBtn: 1,
									icon: 0,
									title: ''
								}, function() {
									var osname = plus.os.name;
									if(osname != 'iOS') {
										plus.runtime.openURL(data.Address);
									} else {
										plus.runtime.openURL('itms-services:///?action=download-manifest&url=' + data.Address);
									}
								});
							}
						}

					},
					error: function(xhr, type, errorThrown) {}
				});
			});
			//获取动态菜单，并活动判断
			state.method = "GetMenu";
			state.parameter = {};
			posthelper.httppost(app.serverUrl, state, function callback(backdata) {
				$scope.$apply(function() {
					console.log("动态菜单：" + JSON.stringify(backdata));
					$scope.getmenu = backdata;
					//				angular.forEach(backdata, function(item, index) {
					//						if(item.Type ==1&&showGuide){
					//							//如果=1，说明当前有活动，打开活动页
					//							$scope.ifshowactive = true;
					//							app.setParameter("newacive",'1');
					//							app.openWindow("active_display","active_display.html");
					//					}
					//				});
				});
			});
			window.addEventListener('openactive', function(event) {

				//			if(app.getParameter("newacive" == '1')){
				app.openWindow("active_display", "active_display.html");
				//			}else{
				//				console.log('当前没有最新活动');
				//			}
			});
			//小贴士(3条)
			var method = 'GetWebNewList';
			var parameter = {
				columnid: "2800",
				pageIndex: "1",
				pageSize: "3",
				titlenumber: "10",
				contentnumber: "20"
			}
			state.method = method;
			state.parameter = parameter;
			posthelper.httppost(app.serverUrl, state, function callback(backdata) {
				$scope.$apply(function() {
					console.log("小贴士：----" + JSON.stringify(backdata));
					var webNews = [];
					angular.forEach(backdata, function(item, index) {
						moment.locale('zh-cn'); //选择语言（中文）
						var updatetime = moment(item.adddate).format('YYYY-MM-DD');
						var webNew = {
							newsid: item.newsid,
							title: item.Title,
							Content: item.Content,
							adddate: updatetime,
							file1: item.file1
						}
						webNews.push(webNew);
					});
					$scope.webNewList = webNews;
				});
			});
			//小贴士内容跳转
			mui('.newslist').on('tap', '.each-message', function() {
				var id = this.getAttribute('newsid');
				app.setParameter("newsid", id);
				app.openWindow("sound_detailed", "../schort/environmental/sound_detailed.html");
			});
			//环保动态（2条）
			var method = 'GetWebNewList';
			var parameter = {
				columnid: "300",
				pageIndex: "1",
				pageSize: "2",
				titlenumber: "10",
				contentnumber: "20"
			}
			state.method = method;
			state.parameter = parameter;
			posthelper.httppost(app.serverUrl, state, function callback(backdata) {
				$scope.$apply(function() {
					console.log("两条环保动态：" + JSON.stringify(backdata));
					var imgone = {
						file1: backdata[0].file1,
						Title: backdata[0].Title
					}
					var imgtwo = {
						file1: backdata[1].file1,
						Title: backdata[1].Title
					}
					$scope.imgone = imgone;
					$scope.imgtwo = imgtwo;
				});
			});

			//活动判断
			//		state.method = "GetHotIndex";
			//		state.parameter = {};
			//		posthelper.httppost(app.serverUrl, state, function callback(backdata) {
			//			$scope.$apply(function() {
			//				console.log("img：" + JSON.stringify(backdata));
			//				$scope.hotimage = backdata.ImageUrl;
			//				
			//			});
			//		});
			//点击底部选项卡
			mui(".footer").on('tap', '.table-cell', function() {
				//获取当前节点id
				var id = this.getAttribute("id");
				app.setParameter("tapparameter", id);
				//判断用户是否登录
				if(id.indexOf('user') >= 0 && (app.getState().head.token == null || app.getState().head.token == '')) {
					app.openWindow("login", "../../login.html");
					return;
				}
				//将已选中选项卡置为未选中
				mui('.active').each(function(index, item) {
					var thisclass = item.getAttribute('class');
					item.setAttribute('class', thisclass.replace('active', ''));
				});
				//隐藏所有div
				mui('.container').each(function(index, item) {
					item.setAttribute('style', 'display: none;')
				});

				//获取当前节点第一个子节点class
				var thischildclass = $(this).children().get(0).getAttribute("class");
				//判断当前节点是否选中
				if(thischildclass.indexOf('active') >= 0) {
					//如果选中该选项卡对应div隐藏。并将class置为灰色
					$(this).children().get(0).setAttribute("class", 'nav-icon icon-' + id + '');
					$(this).children().get(1).setAttribute("class", "nav");
				} else {

					//如果没选中，当前选项卡置为蓝色，并显示对应div模块
					$('#to' + id)[0].style.display = 'block';
					//				var str='isHide'+id;
					if(id.indexOf('search') >= 0) {} else if(id.indexOf('home') >= 0) {} else if(id.indexOf('weixin') >= 0) {} else if(id.indexOf('weibo') >= 0) {} else if(id.indexOf('user') >= 0) {
						//我的手机号显示在"我的模块中"
						$scope.myphoneno = app.getParameter("phone");
						//如果已经登录获取积分的等级，积分
						var state = app.getState();
						var method = "GetGradeScore";
						var parameter = {};
						state.method = method;
						state.parpmeter = parameter;
						posthelper.httppost(app.serverUrl, state, function callback(backdata) {
							$scope.$apply(function() {
								console.log("积分等级：" + JSON.stringify(backdata));
								$scope.iScore = backdata.iScore;
								$scope.iGrade = backdata.iGrade;
							});
						});
					}
					$(this).children().get(0).setAttribute("class", 'nav-icon icon-' + id + ' active');
					$(this).children().get(1).setAttribute("class", "nav active");
				}
			});
			//快捷键模块跳转
			mui('.menu').on('tap', 'a', function() {
				var id = this.getAttribute('id');
				if(id.indexOf('quality') >= 0) {
					//app.openWindow("air_quality", "../schort/air_quality/air_quality.html");
					app.setParameter("fullcontent", '查看详情');
					app.openWindow("index_full", "../schort/air_quality/index_full.html");
				} else if(id.indexOf('environmental') >= 0) {
					app.openWindow("environmental_trends", "../schort/environmental/environmental_trends.html");
				} else if(id.indexOf('sound') >= 0) {
					app.openWindow("environmental_sound", "../schort/environmental/environmental_sound.html");
				} else if(id.indexOf('video') >= 0) {
					app.openWindow("video", "../main/video.html");
				} else if(id.indexOf('publicityarea') >= 0) {
					app.setParameter("publicareamethod", 'GetConstruction');
					app.openWindow("publicity_area", "../main/publicity_area.html");
				} else if(id.indexOf('guidebook') >= 0) {
					app.openWindow("guidebook_bureau", "../main/guidebook_bureau.html");
				} else if(id.indexOf('tousu') >= 0) {
					app.openWindow("complaints_rule", "../complaints/complaints_rule.html");
					//  clicked('../main/complain.html',true,false,{title:"投诉咨询",targeturl:"http://govmail.qingdao.gov.cn/mgovmail/ZfxxPage/MyAsk.aspx"});
				} else if(id.indexOf("reports") >= 0) {
					app.openWindow("reward_report", "../main/reward_report.html");
				} else if(id.indexOf("policy") >= 0) {
					app.openWindow("policy_regulations", "../main/policy_regulations.html");
				}
			});
			//活动中心模块跳转
			mui('.picture').on('tap', 'a', function() {
				//判断用户是否登录
				if(app.getState().head.token == null || app.getState().head.token == '') {
					app.openWindow("login", "../../login.html");
					return;
				}
				var id = this.getAttribute('id');
				if(id.indexOf('prediction') >= 0) {
					app.openWindow("air_quality_prediction", "../schort/air_quality/air_quality_prediction.html");
				} else if(id.indexOf('education') >= 0) {
					app.openWindow("play_all_pedailed", "../schort/environmental/play_all_pedailed.html");
				} else if(id.indexOf('daily') >= 0) {
					app.openWindow("check_daily", "../main/check_daily.html");
				} else if(id.indexOf('exchange') >= 0) {
					app.openWindow("exchange", "../main/exchange_area.html");
				}
			});
			//我的模块跳转
			mui('.activity').on('tap', '.subject-title', function() {
				var id = this.getAttribute("id");
				if(id.indexOf("qiandao") >= 0) {
					app.openWindow("check_daily", "../main/check_daily.html");
					//				app.openWindow("check_daily", "../../guide.html");
				} else if(id.indexOf("tousu") >= 0) {
					//				app.openWindow("complain", "../main/complain.html");
					app.openWindow("complaints_rule", "../complaints/complaints_rule.html");
					//				clicked('../main/complain.html',true,false,{title:"投诉咨询",targeturl:"http://govmail.qingdao.gov.cn/mgovmail/ZfxxPage/MyAsk.aspx"});
				} else if(id.indexOf("xts") >= 0) {
					app.openWindow("environmental_sound", "../schort/environmental/environmental_sound.html");
				} else if(id.indexOf("actives") >= 0) {
					//					app.openWindow("actives", "../schort/environmental/actives.html");
					app.openWindow("play_all", "../schort/environmental/play_all.html");
				} else if(id.indexOf("integral") >= 0) {
					app.openWindow("integral", "integral.html");
				} else if(id.indexOf("myinfo") >= 0) {
					app.openWindow("complete_materal", "../main/complete_material.html");
				} else if(id.indexOf("duihuan") >= 0) {
					app.openWindow("integral_change", "../main/integral_change.html");
				} else if(id.indexOf("gy") >= 0) {
					app.openWindow('copyright.html', 'copyright.html');
				}
			});
			//点击左上头像
			mui(".setting-top").on('tap', '.icon-user', function() {
				app.openWindow("login", "../../login.html");
			});
			//点击轮播图片
			mui(".hwslider").on('tap', '.banner', function() {
				app.openWindow("air_quality", "../schort/air_quality/air_quality.html");
			});
			mui(".hwslider").on('tap', '.top-banner', function() {
				app.openWindow("environmental_trends", "../schort/environmental/environmental_trends.html");
			});
			//搜索
			$scope.searchbykeys = function() {
				var state = app.getState();
				var method = 'GetSearchList';
				var parameter = {
					keyword: $scope.searchkeys,
					pageIndex: 1,
					pageSize: 20,
					contentnumber: 20
				};
				state.method = method;
				state.parameter = parameter;
				posthelper.httppost(app.serverUrl, state, function callback(backdata) {
					$scope.$apply(function() {
						console.log(JSON.stringify(backdata));
						var searchs = [];
						angular.forEach(backdata, function(item, index) {
							var Title = cutstr(item.Title, 30);
							var search = {
								Title: Title,
								Id: item.Id,
								ContentType: item.ContentType
							}
							searchs.push(search);
						});
						$scope.searchlist = searchs;
					});
				});
			}
			//截取标题
			var cutstr = function(str, len) {
				var str_length = 0;
				var str_len = 0;
				str_cut = new String();
				str_len = str.length;
				for(var i = 0; i < str_len; i++) {
					a = str.charAt(i);
					str_length++;
					if(escape(a).length > 4) {
						//中文字符的长度经编码之后大于4
						str_length++;
					}
					str_cut = str_cut.concat(a);
					if(str_length >= len) {
						str_cut = str_cut.concat("...");
						return str_cut;
					}
				}
				//如果给定字符串小于指定长度，则返回源字符串；
				if(str_length < len) {
					return str;
				}
			}
			//注销
			mui('.activity').on('tap', '.write—off', function() {
				//询问框
				layer.confirm(
					'确认注销？', {
						skin: 'layui-layer-molv', //样式类名
						icon: 3,
						title: ''
					},
					function() {
						var deviceid = plus.device.uuid;
						app.createState('', '', '', '', deviceid);
						//plus.runtime.restart();
						//将已选中选项卡置为未选中
						mui('.active').each(function(index, item) {
							var thisclass = item.getAttribute('class');
							item.setAttribute('class', thisclass.replace('active', ''));
						});
						//隐藏所有div
						mui('.container').each(function(index, item) {
							item.setAttribute('style', 'display: none;')
						});
						$('#tohome')[0].style.display = 'block';
						$('#home').children().get(0).setAttribute("class", 'nav-icon icon-home active');
						$('#home').children().get(1).setAttribute("class", "nav active");
						layer.closeAll('dialog');
						var login = plus.webview.getWebviewById("login");
						app.openWindow('login', '../../login.html');
					},
					function() {}
				);
			});
			//识别二维码微博
			$scope.scanImgWeibo = function() {
				plus.barcode.scan('_www/images/ma.jpg', function(type, result) {
					console.log("Scan success:(" + type + ")" + result);
					plus.runtime.openURL(result, '', '');
				}, function(error) {
					console.log(error.message);
				});
			}

			function iosAppstore(url) {
				plus.runtime.openURL("itms-apps://" + url);
			}

			function androidMarket(pname) {
				plus.runtime.openURL("market://details?id=" + pname);
			}
			$scope.scanImgWechat = function() {
				if(plus.os.name == "Android") {
					plus.runtime.launchApplication({
						pname: "com.tencent.mm"
					}, function(e) {
						plus.nativeUI.confirm("检查到您未安装\"微信\"，是否到商城搜索下载？", function(i) {
							if(i.index == 0) {
								androidMarket("com.tencent.mm");
							}
						});
					});
				} else if(plus.os.name == "iOS") {
					plus.runtime.launchApplication({
						action: "weixin://RnUbAwvEilb1rU9g9yBU"
					}, function(e) {
						plus.nativeUI.confirm("检查到您未安装\"微信\"，是否到商城搜索下载？", function(i) {
							if(i.index == 0) {
								iosAppstore("itunes.apple.com/cn/app/wechat/id414478124?mt=8");
							}
						});
					});
				}

				//				plus.barcode.scan('_www/images/qrcode_qdshbj_1.jpg', function(type, result) {
				//					console.log("Scan success:(" + type + ")" + result);
				//					plus.runtime.openURL(result, '', '');
				//				}, function(error) {
				//					console.log(error.message);
				//				});
			}
			$scope.openairquality = function() {
				//app.openWindow("air_quality", "../schort/air_quality/air_quality.html");
				app.setParameter("fullcontent", '查看详情');
				app.openWindow("index_full", "../schort/air_quality/index_full.html");
			}
			//待完善
			$scope.openSearchDetail = function(newsid, type) {
				if(type == "环保动态") {
					app.setParameter("newsid", newsid);
					app.openWindow("trends_detailed", "../schort/environmental/trends_detailed.html");
				} else if(type == "法律法规") {
					app.setParameter("id", newsid);
					app.openWindow("law_detail", "law_detail.html");
				}
			}
			$scope.bindphone = function() {
				app.openWindow("bindphone", "bindphone.html")
			}
			//修改密码
			$scope.forgetpass = function() {
				app.openWindow("updatepass", "updatepass.html")
			}
			$scope.opendes = function() {
				app.openWindow("activity_description", "activity_description.html");
			}
			$scope.openactivity = function() {
				//	app.openWindow("app_summary", "app_summary.html");
				clicked('../main/complain.html', true, false, {
					title: "积分说明",
					targeturl: app.baseUrl + "/upload/explain/app_summary.html"
				});
			}
			$scope.opensysdes = function() {
				app.openWindow('guide', '../../guide.html');
			}
			$scope.opencopyright = function() {
				app.openWindow('copyright.html', 'copyright.html');
			}
			//意见征集
			$scope.openopinion = function() {
				app.openWindow('opinion', 'opinion.html');
			}
			$scope.opengetmenu = function(menuid, typeid, Url, Name) {
				if(menuid == "1") {
					$scope.opensysdes();
				} else if(typeid == "1") {
					$scope.openactiveday();
				} else if(typeid == "2") {
					var urlstr = "";
					if(Url.indexOf("http") >= 0) {
						urlstr = Url;
					} else {
						urlstr = "http://" + Url;
					}
					clicked('../main/complain.html', true, false, {
						title: Name,
						targeturl: urlstr
					});
				} else if(typeid == "0") {
					if(menuid == "5") {
						$scope.opencopyright();
					} else if(menuid == "6") {
						//判断用户是否登录
						if(app.getState().head.token == null || app.getState().head.token == '') {
							app.openWindow("login", "../../login.html");
							return;
						}
						$scope.openopinion();
					}

				}

			}
			//首页退出事件
			var backcount = 0;
			mui.back = function() {
				if(mui.os.ios) return;
				if(backcount > 0) {
					if(window.plus) plus.runtime.quit();
					return;
				};
				mui.toast('再按一次退出应用');
				backcount++;
				setTimeout(function() {
					backcount = 0;
				}, 2000);
			};
		});
	})
	.filter("replaceslash", function() {
		return function(input) {
			var out = "";
			return input.replace("/", "");
		}
	})
	.config(function($compileProvider) {
		$compileProvider.aHrefSanitizationWhitelist(/^\s*(https?|ftp|mailto|file|javascript):/);
	});