/** 
 *主页面控制器
 * @sxy
 **/

angular.module('zhxyteacher.opinion', ["posthelper"])

	.controller('opinion_controller', function($scope, posthelper) {
		mui.init({
			swipeBack: true
		});
		var state = app.getState();
		var method = "GetSuggestionInfo";
		var parameter = {}
		state.method = method;
		state.parameter = parameter;
		posthelper.httppost(app.serverUrl, state, function callback(backdata) {
			$scope.$apply(function() {
				console.log(JSON.stringify(backdata));
				$scope.Title = backdata.Title;
				$scope.Content = backdata.Content;
				$scope.Id = backdata.Id;
			});
		});
		//提交意见
		mui(".container").on("tap", ".write—off", function() {
			var Id=this.getAttribute("id");
			var remark = document.getElementById("remarks").value;
			if(remark.length == 0) {
				mui.toast("请填写您的意见。");
				return;
			}
			var state = app.getState();
			var method = "SubmitSuggestion";
			var parameter = {
				TypeId: Id,
				Content: remark
			}
			state.method = method;
			state.parameter = parameter;
			posthelper.httppost(app.serverUrl, state, function callback(backdata) {
				$scope.$apply(function() {
					console.log(JSON.stringify(backdata));
					if(backdata.type == "ok") {
						mui.toast("您的意见我们已经收集，谢谢您的参与。");
						mui.back();
					} else {
						mui.toast(backdata.msg);
					}
				});
			});
		});
	})
	.filter("replaceslash", function() {
		return function(input) {
			var out = "";
			return input.replace("/", "");
		}
	})
	.config(function($compileProvider) {
		$compileProvider.aHrefSanitizationWhitelist(/^\s*(https?|ftp|mailto|file|javascript):/);
	});