/** 
 *主页面控制器
 * @sxy
 **/

angular.module('zhxyteacher.reward_report', ["posthelper", 'ionic'])

	.controller('reward_report_controller', function($scope, posthelper) {
		mui.init({
			swipeBack: true
		});
		var state = app.getState();
		//默认夜间施工图标
		//加载公示专区夜间施工列表
		var vm = $scope.vm = {
			moredate: false,
			messages: [],
			pagination: {
				perPage: 5,
				currentPage: 1
			},
			init: function() {
				var method = 'GetReportList';
				var parameter = {
					pageIndex: vm.pagination.currentPage,
					pageSize: vm.pagination.perPage
				}
				state.method = method;
				state.parameter = parameter;
				posthelper.httppost(app.serverUrl, state, function callback(backdata) {
					$scope.$apply(function() {
						console.log(JSON.stringify(backdata));
						vm.messages = backdata;
					});
				});
			},
			show: function(message) {
				if(message.static) {
					message.static = false;
				} else {
					message.static = true;
				}
			},
			doRefresh: function() {
				$timeout(function() {
					$scope.$broadcast('scroll.refreshComplete');
				}, 1000);
			},
			loadMore: function() {
				$scope.$broadcast('scroll.infiniteScrollComplete');
//				vm.pagination.currentPage += 1;
//				var method = 'GetReportList';
//				var parameter = {
//					pageIndex: vm.pagination.currentPage,
//					pageSize: vm.pagination.perPage
//				}
//				state.method = method;
//				state.parameter = parameter;
//				posthelper.httppost(app.serverUrl, state, function callback(backdata) {
//					$scope.$apply(function() {
//						vm.messages = vm.messages.concat(backdata);
//						if(backdata.length == 0) {
//							vm.moredate = true;
//						};
//						$scope.$broadcast('scroll.infiniteScrollComplete');
//					});
//				});
			}
		}
		vm.init();
		//环境污染编辑页跳转
		$scope.hjwredit=function(){
			app.openWindow("rule_polute","rule_polute.html");
		}
		//机动车冒烟编辑页跳转
		$scope.jdcedit=function(){
			app.openWindow("rule","rule.html");
		}

	})
	.filter("replaceslash", function() {
		return function(input) {
			var out = "";
			return input.replace("/", "");
		}
	})
	.config(function($compileProvider) {
		$compileProvider.aHrefSanitizationWhitelist(/^\s*(https?|ftp|mailto|file|javascript):/);
	});