/** 
 *主页面控制器
 * @sxy
 **/

angular.module('zhxyteacher.video', ["posthelper"])

	.controller('video_controller', function($scope, posthelper,$compile) {
		mui.init({
			swipeBack: true,
			pullRefresh : {
		    container:refreshContainer,//待刷新区域标识，querySelector能定位的css选择器均可，比如：id、.class等
		    up : {
		      height:50,//可选.默认50.触发上拉加载拖动距离
		      auto:false,//可选,默认false.自动上拉加载一次
		      contentrefresh : "正在加载...",//可选，正在加载状态时，上拉加载控件上显示的标题内容
		      contentnomore:'没有更多数据了',//可选，请求完毕若没有更多数据时显示的提醒内容；
		      callback :loadmore //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
		    }
		  }
		});
		//加载数据
		var state = app.getState();
		var method = 'GetVideoList';
		var parameter = {};
		state.method = method;
		state.parameter = parameter;
		var pageIndex = 1;
		state.parameter.pageSize = 5;
		state.parameter = parameter;
		
		$scope.doSearch = function(pageIndex) {
			state.parameter.pageIndex = pageIndex;
			posthelper.httppost(app.serverUrl, state, function callback(backdata) {
			$scope.$apply(function() {
				
				console.log(JSON.stringify(backdata));
               if(pageIndex ==1){
					$scope.newslist = backdata;
				}
               else{
					if(backdata.length != 0){
					mui('#refreshContainer').pullRefresh().endPullupToRefresh(false);
        			$scope["newslist"+pageIndex] = backdata;
        		    }else{
        		    	 mui('#refreshContainer').pullRefresh().endPullupToRefresh(true);
        		    }
					
				}
				

			});
		 });
		}
		$scope.doSearch(1);
		function loadmore(){
			pageIndex++;
			$scope.doSearch(pageIndex);
			
			var el = $compile("<div class='listviedo' ng-repeat='item in newslist"+pageIndex+"'><div class='listviedo-left'><img src='{{item.imgIcon}}'></div><div class='listviedo-right'><h3>{{item.VideoTitle}}</h3><span class='icon-time'>{{item.VideoDate}}</span></div></div>")($scope); //重新compile一下，再append
            $("#listcontent").append(el);
             console.log('这里是高度！！！！！！！'+$(".container").css('height'))
		}
		//模块跳转
		mui('.bottom-listviedo').on('tap','.listviedo',function(){
			var id=this.getAttribute('newsid');
			app.setParameter("newsid",id);
			app.openWindow("video_details", "video_details.html");
		});
	})
	.filter("replaceslash", function() {
		return function(input) {
			var out = "";
			return input.replace("/", "");
		}
	})
	.config(function($compileProvider) {
		$compileProvider.aHrefSanitizationWhitelist(/^\s*(https?|ftp|mailto|file|javascript):/);
	});