/** 
 *主页面控制器
 * @sxy
 **/

angular.module('zhxyteacher.video_detail', ["posthelper"])

	.controller('video_detail_controller', function($scope, posthelper) {
		mui.init({
			swipeBack: true
		});
		//加载数据
		var state = app.getState();
		var method = 'GetVideoInfo';
		var parameter = {};
		state.method = method;
		state.parameter = parameter;
		state.parameter.Id = app.getParameter("newsid");
		posthelper.httppost(app.serverUrl, state, function callback(backdata) {
			$scope.$apply(function() {
				console.log(JSON.stringify(backdata));
				$scope.newsContent = backdata;
				document.getElementById("video").innerHTML = "<source src='"+backdata.URL+"' type='video/mp4'>";

			});
		 });
		 function plusReady(){
			var types = {}; 
			types[plus.networkinfo.CONNECTION_UNKNOW] = "Unknown connection"; 
			types[plus.networkinfo.CONNECTION_NONE] = "None connection"; 
			types[plus.networkinfo.CONNECTION_ETHERNET] = "Ethernet connection"; 
			types[plus.networkinfo.CONNECTION_WIFI] = "WiFi connection"; 
			types[plus.networkinfo.CONNECTION_CELL2G] = "Cellular 2G connection"; 
			types[plus.networkinfo.CONNECTION_CELL3G] = "Cellular 3G connection"; 
			types[plus.networkinfo.CONNECTION_CELL4G] = "Cellular 4G connection"; 
		
//			alert("当前非wifi，点击视频播发后将产生流量.");
			if(types[plus.networkinfo.getCurrentType()] != "WiFi connection"){
				alert("当前非wifi，点击视频播发后将产生流量.");
			}
		}
		if(window.plus){
			plusReady();
		}else{
			document.addEventListener("plusready",plusReady,false);
		}
		//点赞
		$scope.thumbsup = function(newid) {
			if(app.getState().head.token == null || app.getState().head.token == '') {
				layer.msg("请先登录", {
					icon: 0
				})
			} else {
				var method = "GetFabulous";
				var parameter = {
					id: newid,
					tableName: "App_Video"
				};
				state.method = method;
				state.parameter = parameter;
				posthelper.httppost(app.serverUrl, state, function callback(backdata) {
					$scope.$apply(function() {
						console.log("点赞是否成功：" + JSON.stringify(backdata))
							layer.msg(backdata.msg, {
								icon: 1
							})
						uploaddata();
					});
				});
			}

		};
		var uploaddata = function() {
			var method = 'GetVideoInfo';
			var parameter = {};
			state.method = method;
			state.parameter = parameter;
			state.parameter.Id = app.getParameter("newsid");
			posthelper.httppost(app.serverUrl, state, function callback(backdata) {
				$scope.$apply(function() {
					console.log(JSON.stringify(backdata));
					$scope.newsContent = backdata;
					document.getElementById("video").innerHTML = "<source src='"+backdata.URL+"' type='video/mp4'>";
	
				});
			 });
		}
		
		
		
	});