/** 
 *主页面控制器
 * @sxy
 **/

angular.module('zhxyteacher.map_select', ["posthelper"])

	.controller('map_select_controller', function($scope, posthelper) {
		var address;
		var lat = "";
		var lng = "";
		mui.init({
			swipeBack: true,
			beforeback: function() {
				var webviewid = app.getParameter("webviewid");
				var list = plus.webview.getWebviewById(webviewid);
				mui.fire(list, 'getpoint', {
					address: address,
					lat: lat,
					lng: lng
				});
				return true;
			}
		});
		var rewardid = app.getParameter("rewardid");
		if(window.plus) {
			plusReady();
		} else {
			document.addEventListener("plusready", plusReady, false);
		}
		var ws = null,
			wo = null;
		var em = null,
			map = null,
			pcenter = null;
		// H5 plus事件处理
		function plusReady() {
			map_init();
		}

		function map_init() {
			if(!em || ws) {
				return
			};
			// 获取窗口对象
			ws = plus.webview.currentWebview();
			wo = ws.opener();
			pcenter = new plus.maps.Point(120.409, 36.0654);
			map = new plus.maps.Map("map");
			map.centerAndZoom(pcenter, 12); 
			initcoordinate();
			map.onclick = function(point) {
				console.log(point.getLat() + "---------" + point.getLng());
				lat = point.getLat();
				lng = point.getLng();
				plus.maps.Map.reverseGeocode(point, {}, function(event) {
					address = event.address; // 转换后的地理位置
					var point = event.coord; // 转换后的坐标信息
					var coordType = event.coordType; // 转换后的坐标系类型
					mui.toast("当前地址为:" + address);
					map.clearOverlays();
					var marker = null;
					marker = new plus.maps.Marker(point);
					marker.setIcon("../../images/oneicon.png");
					marker.setLabel(address);
					map.addOverlay(marker);
					//					app.setParameter("address",address);
				}, function(e) {
					mui.toast("Failed:" + JSON.stringify(e));
				});
			}
			// 显示页面并关闭等待框
			ws.show("pop-in");
		}
		//初始化位置
		var longitude = app.getParameter("longitude");
		var latitude = app.getParameter("latitude");
		var adrr=app.getParameter("adrr");
		var initcoordinate = function() {
            lat = latitude;
			lng = longitude;
			var point = new plus.maps.Point(longitude, latitude);
			plus.maps.Map.reverseGeocode(point, {}, function(event) {
				address = event.address; // 转换后的地理位置
				var point = event.coord; // 转换后的坐标信息
				var coordType = event.coordType; // 转换后的坐标系类型
				mui.toast("当前地址为:" + adrr);
				map.clearOverlays();
				var marker = null;
				marker = new plus.maps.Marker(point);
				marker.setIcon("../../images/oneicon.png");
				marker.setLabel(address);
				map.addOverlay(marker);
				//app.setParameter("address",address);
			}, function(e) {
				mui.toast("Failed:" + JSON.stringify(e));
			});
		}
		// DOMContentloaded事件处理
		document.addEventListener("DOMContentLoaded", function() {
			em = document.getElementById("map");
			window.plus && plusReady();
		}, false);
		//
		$scope.closeback = function() {
			mui.back();
		}

	})
	.filter("replaceslash", function() {
		return function(input) {
			var out = "";
			return input.replace("/", "");
		}
	})
	.config(function($compileProvider) {
		$compileProvider.aHrefSanitizationWhitelist(/^\s*(https?|ftp|mailto|file|javascript):/);
	});