/** 
 *主页面控制器
 * @sxy
 **/

angular.module('zhxyteacher.air_quality', ["posthelper"])

	.controller('air_quality_controller', function($scope, posthelper) {
		mui.init({
			swipeBack: true
		});
		app.setParameter("fullcontent",'进入主页');
		mui.plusReady(function(){
			plus.webview.getWebviewById("index_full").close();
		})
		//实时空气质量显示
		var state = app.getState();
		var method = 'GetAq';
		var parameter = {};
		state.method = method;
		state.parameter = parameter;
		posthelper.httppost(app.serverUrl, state, function callback(backdata) {
			$scope.$apply(function() {
				console.log(JSON.stringify(backdata));
				state.method = "GetAqBgi";
				state.parameter = {"filename":backdata.ImgIcon}
				posthelper.httppost(app.serverUrl, state, function callback(data) {
					$scope.$apply(function() {
						console.log(JSON.stringify(data));
						$scope.ImgIcon = data.imgdata;
					});
				});
				moment.locale('zh-cn'); //选择语言（中文）
				var nowdate = moment().subtract(10, 'days').calendar();
				var weeks = moment().format('dddd');
				var updatetime = moment(backdata.Date_Time).format('YYYY-MM-DD HH');
				$scope.nowdate = nowdate; //当前日期
				$scope.weeks = weeks; //当前周几
				$scope.updatetime = updatetime + ":00更新";
				$scope.AppWeather = backdata.AppWeather; //天气
//				$scope.ImgIcon = backdata.ImgIcon;
				$scope.Version = backdata.Version; //版本号
				var Date_Time = moment(backdata.Date_Time).format('YYYY-MM-DD');
				$scope.Date_Time = Date_Time; //时间
				$scope.AQIType = backdata.AQIType; //污染等级
				$scope.AQI = backdata.AQI; //AQI指数
				$scope.AQILvl =backdata.AQILvl;
				$scope.AQIWrw = backdata.AQIWrw;
				if(0<$scope.AQI&&$scope.AQI<51){
					$$scope.aqilength =($scope.AQI/50*(100/6));
				}
				if(50<$scope.AQI&&$scope.AQI<101){
					$scope.aqilength =(100/6)*1+(($scope.AQI-50)/50*(100/6));
				}
				if(100<$scope.AQI&&$scope.AQI<151){
					$scope.aqilength =(100/6)*2+(($scope.AQI-100)/50*(100/6));
				}
				if(150<$scope.AQI&&$scope.AQI<201){
					$scope.aqilength =(100/6)*3+(($scope.AQI-150)/50*(100/6));
				}
				if(200<$scope.AQI&&$scope.AQI<301){
					$scope.aqilength =(100/6)*4+(($scope.AQI-200)/100*(100/6));
				}
				if(300<$scope.AQI&&$scope.AQI<501){
					$scope.aqilength =(100/6)*5+(($scope.AQI-300)/200*(100/6));
				}
				//根据不同级别显示不同河豚照片
//				if(backdata.AQILvl == "一级") {
////					$scope.AQILvl = "one.png";
//					$scope.ImgIcon = "2-1.jpg";
//				} else if(backdata.AQILvl == "二级") {
////					$scope.AQILvl = "two.png";
//					$scope.ImgIcon ="2-2.jpg";
//				} else if(backdata.AQILvl == "三级") {
////					$scope.AQILvl = "thire.png";
//					$scope.ImgIcon ="2-3.jpg";
//				} else if(backdata.AQILvl == "四级") {
////					$scope.AQILvl = "four.png";
//					$scope.ImgIcon ="2-4.jpg";
//				} else if(backdata.AQILvl == "五级") {
////					$scope.AQILvl = "five.png";
//					$scope.ImgIcon ="2-5.jpg";
//				} else if(backdata.AQILvl == "六级") {
////					$scope.AQILvl = "six.png";
//					$scope.ImgIcon ="2-6.jpg";
//				}
				var AQI = parseInt(backdata.AQI);
				//根据不同AQI区间选择不同值得颜色
				if(AQI <= 50) {
					$scope.AQIcolor = "#00E400";
				} else if((AQI >= 51) && (AQI <= 100)) {
					$scope.AQIcolor = "#F8F225";
				} else if((AQI >= 101) && (AQI <= 150)) {
					$scope.AQIcolor = "#FF7E00";
				} else if((AQI >= 151) && (AQI <= 200)) {
					$scope.AQIcolor = "#FF0000";
				} else if((AQI >= 201) && (AQI <= 300)) {
					$scope.AQIcolor = "#99004C";
				} else if(AQI > 300) {
					$scope.AQIcolor = "#7E0023";
				}
				$scope.AQIWrw = backdata.AQIWrw; //首要污染物
				$scope.Remark = '温馨提示：' + backdata.Remark; //温馨提示
			});
		});
		//各个子站点污染指数
		var method = 'GetAqiStation';
		var parameter = {};
		state.method = method;
		state.parameter = parameter;
		posthelper.httppost(app.serverUrl, state, function callback(backdata) {
			$scope.$apply(function() {
				console.log('子站点污染指数：' + JSON.stringify(backdata));
				//根据不同AQI区间选择不同值得颜色
				var seationAQIs = [];
				angular.forEach(backdata, function(item, index) {
					//不同AQI显示不同颜色
					var AQI = parseInt(item.AQI);
					console.log("子站aqi:"+AQI);
					var AQIcolor = "";
					if(AQI <= 50) {
						AQIcolor = "#00E400";
					} else if((AQI >= 51) && (AQI <= 100)) {
						AQIcolor = "#F8F225";
					} else if((AQI >= 101) && (AQI <= 150)) {
						AQIcolor = "#FF7E00";
					} else if((AQI >= 151) && (AQI <= 200)) {
						AQIcolor = "#FF0000";
					} else if((AQI >= 201) && (AQI <= 250)) {
						AQIcolor = "#99004C";
					} else if(AQI > 300) {
						AQIcolor = "#7E0023";
					}
					var seationAQI = {
						AQIcolor: AQIcolor,
						stationName: item.stationName,
						AQIWrw: item.AQIWrw,
						AQI: item.AQI
					}
					seationAQIs.push(seationAQI);
				})
				$scope.stationAQL = seationAQIs;
			});
		});
		//空气质量走势图开始
		var method = 'GetAQIMassage';
		var parameter = {};
		state.method = method;
		state.parameter = parameter;
		posthelper.httppost(app.serverUrl, state, function callback(backdata) {
			$scope.$apply(function() {
				console.log('空气质量走势图：' + JSON.stringify(backdata));
				var myChart = echarts.init(document.getElementById('barChart'));
				var AQIS = [];
				var times = [];
				moment.locale('zh-cn'); //选择语言（中文）
				$scope.maxy = backdata[0].AQI1;
				angular.forEach(backdata, function(item, index) {
					if(item.AQI1 > $scope.maxy){
						$scope.maxy = item.AQI1;
					}
					AQIS.push(item.AQI1);
					var updatetime = moment(item.Date_Time).format('HH:mm');
					times.push(updatetime)
				});
				$scope.maxy =  parseInt($scope.maxy)+100;
				if($scope.maxy<150){
					$scope.maxy = 150;
				}else if($scope.maxy >150 && $scope.maxy <200){
					$scope.maxy =200;
				}else if($scope.maxy >200 && $scope.maxy <300){
					$scope.maxy =300;
				}else if($scope.maxy >300 && $scope.maxy <400){
					$scope.maxy =400;
				}else if($scope.maxy >400 && $scope.maxy <500){
					$scope.maxy =500;
				}
				console.log("maxy-------------"+$scope.maxy);
				option = {
					tooltip: {
						trigger: 'axis'
					},
					
					legend: {
						//						data: ['最近24小时空气质量指数（AQI）走势']
					},
					toolbox: {
						show: true
					},
					calculable: true,
					xAxis: [{
						type: 'category',
						boundaryGap: false,
						data: times
					}],
					yAxis: {
						min: 0,
						max: $scope.maxy,
						interval: 50,
						axisLabel: {
							textStyle: {
								color: function(value) {
									//Echarts对数据做了处理, 1000 => 1,000
									var number = Number(value.replace(",", ""));
									var AQIcolor = "";
									if(number <= 50) {
										AQIcolor = "#00E400";
									} else if((number >= 51) && (number <= 100)) {
										AQIcolor = "#ffd966";
									} else if((number >= 101) && (number <= 150)) {
										AQIcolor = "#FF7E00";
									} else if((number >= 151) && (number <= 200)) {
										AQIcolor = "#FF0000";
									} else if((number >= 201) && (number <= 300)) {
										AQIcolor = "#99004C";
									} else if(number > 300) {
										AQIcolor = "#7E0023";
									}
									return AQIcolor;
								},
								fontWeight:'bolder'
							}
						}
					},
					series: [{
						name: 'AQI',
						type: 'line',
						smooth: true,
						color: ['#0087ED'],
						data: AQIS,
						markLine: {
							data: [{
									"name": "",
									"value": 100,
									"xAxis": -1,
									"yAxis": 100
								},
								{
									"name": "",
									"value": 100,
									"xAxis": 9,
									"yAxis": 100
								}
							]
						},
					}]
				};

				//清空画布，防止缓存
				myChart.clear();
				// 使用刚指定的配置项和数据显示图表。
				myChart.setOption(option);
			});
		});
		//空气质量折线图结束
		//获取空气质量日历
		var method = 'GetDQ_Cod_City';
		var parameter = {
			iyear: '2017'
		};
		var datas = [];
		state.method = method;
		state.parameter = parameter;
		posthelper.httppost(app.serverUrl, state, function callback(backdata) {
			$scope.$apply(function() {
				angular.forEach(backdata, function(item, index) {
					var month = "";
					var day = "";
					if(item.iMonth < 10) {
						month = "-0" + item.iMonth;
					} else {
						month = "-" + item.iMonth;
					}
					if(item.iDay < 10) {
						day = "-0" + item.iDay;
					} else {
						day = "-" + item.iDay;
					}
					var datetime = item.iYear + month + day;
					var AQI = parseInt(item.CityAQI24);
					var AQIlv = "";
					if(AQI <= 50) {
						AQIlv = "优";
					} else if((AQI >= 51) && (AQI <= 100)) {
						AQIlv = "良";
					} else if((AQI >= 101) && (AQI <= 150)) {
						AQIlv = "轻度污染";
					} else if((AQI >= 151) && (AQI <= 200)) {
						AQIlv = "中度污染";
					} else if((AQI >= 201) && (AQI <= 250)) {
						AQIlv = "重度污染";
					} else if(AQI > 300) {
						AQIlv = "严重污染";
					}
					var AQIcolor = "";
					if(AQI <= 50) {
						AQIcolor = "#00E400";
					} else if((AQI >= 51) && (AQI <= 100)) {
						AQIcolor = "#ffa402";
					} else if((AQI >= 101) && (AQI <= 150)) {
						AQIcolor = "#FF7E00";
					} else if((AQI >= 151) && (AQI <= 200)) {
						AQIcolor = "#FF0000";
					} else if((AQI >= 201) && (AQI <= 250)) {
						AQIcolor = "#99004C";
					} else if(AQI > 300) {
						AQIcolor = "#7E0023";
					}
					var dataitem = {
						start_date: datetime,
						end_date: datetime,
						text: AQIlv,
						name: AQI,
						color: AQIcolor
					}
					datas.push(dataitem);
				});
				console.log("空气质量日历：" + JSON.stringify(backdata));
			});
		});
		//模块跳转
		mui('.menu').on('tap', 'a', function() {
			var id = this.getAttribute('id');
			if(id.indexOf('map') >= 0) {
				app.openWindow("air_quality_map", "../air_quality/air_quality_map.html");
			} else if(id.indexOf('calendar') >= 0) {
				app.setParameter('datas_air_quality', datas);
				app.openWindow("air_quality_calendar", "../air_quality/air_quality_calendar.html");
			} else if(id.indexOf('ranking') >= 0) {
				app.openWindow("air_quality_ranking", "../air_quality/air_quality_ranking.html");
			} else if(id.indexOf('high') >= 0) {
				app.openWindow("air_quality_high", "../air_quality/air_quality_high.html");
			} else if(id.indexOf('change') >= 0) {
				app.openWindow("air_change", "../air_quality/air_change.html");
			}
		});
		//各个子站点污染指数地图查看
		$scope.showmap = function() {
			app.openWindow("air_quality_map", "../air_quality/air_quality_map.html");
		}
	})
	.filter("replaceslash", function() {
		return function(input) {
			var out = "";
			return input.replace("/", "");
		}
	})
	.config(function($compileProvider) {
		$compileProvider.aHrefSanitizationWhitelist(/^\s*(https?|ftp|mailto|file|javascript):/);
	});