/** 
 *主页面控制器
 * @jy
 **/
//alert("1")
angular.module('zhxyteacher.air_quality_prediction_record', ["posthelper"])
	.controller('air_quality_prediction_record_controller', function($scope, posthelper,$compile) {
		mui.init({
			swipeBack: true,
			pullRefresh: {
				container: refreshContainer, //待刷新区域标识，querySelector能定位的css选择器均可，比如：id、.class等
				up: {
					height: 50, //可选.默认50.触发上拉加载拖动距离
					auto: false, //可选,默认false.自动上拉加载一次
					contentrefresh: "正在加载...", //可选，正在加载状态时，上拉加载控件上显示的标题内容
					contentnomore: '没有更多数据了', //可选，请求完毕若没有更多数据时显示的提醒内容；
					callback: loadmore //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
				}
			}
		});
		
		//加载数据
		var state = app.getState();
		var method = 'GetForecastList';
		var parameter = {};
		state.method = method;
		state.parameter = parameter;
		var pageIndex = 1;
		var type = '2';
		state.parameter.pageSize = 9;
		state.parameter = parameter;

		$scope.doSearch = function(pageIndex,type) {//更新数据
			state.parameter.pageIndex = pageIndex;
			state.parameter.type = type;
			posthelper.httppost(app.serverUrl, state, function callback(backdata) {
				$scope.$apply(function() {
					console.log(JSON.stringify(backdata));
					console.log("数据长度"+backdata.length);
					if(pageIndex == 1) {//初始化第一页
						$scope.airlist = backdata;
					} else {
						if(backdata.length != 0) {//下一页有数据
							mui('#refreshContainer').pullRefresh().endPullupToRefresh(false);//可继续上拉加载
							$scope["airlist" + pageIndex] = backdata;//需渲染的数据  airlist2 airlist3
						} else {//没有下一页内容 ,关闭上拉加载
							mui('#refreshContainer').pullRefresh().endPullupToRefresh(true);
						}

					}

				});
			});
		}

		$scope.doSearch(1,"2");//初始化

		function loadmore() {//上拉加载，每次页数+1，获取新数据
			pageIndex++;
			$scope.doSearch(pageIndex,type);
			//渲染上拉加载的数据  airlist2 airlist3
			var el = $compile('<div class="content-bottom" ><div ng-repeat="item in airlist'+pageIndex+'"><div class="list-value"><div class="list-value-one">{{item.sdate}}</div></div><div class="list-value"><div class="list-value-one">{{item.AQIValue}}</div></div><div class="list-value"><div class="list-value-one">{{item.AQI}}</div></div><div class="list-value"><div class="list-value-one">{{item.Score == ""?0:item.Score}}</div></div></div></div>')($scope); 
			//重新compile一下，再append
			
			$("#listcontent").append(el);
		}
	})
	.filter("replaceslash", function() {
		return function(input) {
			var out = "";
			return input.replace("/", "");
		}
	})
	.config(function($compileProvider) {
		$compileProvider.aHrefSanitizationWhitelist(/^\s*(https?|ftp|mailto|file|javascript):/);
	});