/** 
 *主页面控制器
 * @sxy
 **/

angular.module('zhxyteacher.air_quality_ranking', ["posthelper"])

	.controller('air_quality_ranking_controller', function($scope, posthelper) {
		mui.init({
			swipeBack: true
		});
		
		//
		$scope.ifCity = true;
		$scope.title = "青岛市所辖六区四市排名";
		var time = new Date();
		var m = time.getMonth() + 1;
		var t = time.getFullYear() + "-" + m + "-"+ time.getDate()+" "+time.getHours()+":00";
		//$scope.currenttime = t; 
		$scope.listdata = "";
		$scope.city ="各市";
		var state = app.getState();
		//省各市
		$scope.loadProvince = function(){
			$scope.city = "各市";
			$scope.title = "山东省17地市排名";
			$scope.ifCity = false;
			state.method = 'GetApp_AQIHour';
			state.parameter = {};
			//获取省各市排行
			posthelper.httppost(app.serverUrl, state, function callback(backdata) {
				$scope.$apply(function() {
					console.log("数据111："+JSON.stringify(backdata));
					$scope.listdata =backdata;
					angular.forEach(backdata, function(item) {
						$scope.backtime = item.Date_time;
						$scope.currenttime = $scope.backtime.replace("/","-").replace("/","-").substr(0,$scope.backtime.length-3); 
						return;
					});
					
				});
			 });
		}
		//市各区
		$scope.loadCity = function(){
			$scope.city = "各区";
			$scope.title = "青岛市所辖六区四市排名";
			$scope.ifCity = true;
			state.method = 'GetAirAreaAQI';
			state.parameter = {};
			//获取省各市排行
			posthelper.httppost(app.serverUrl, state, function callback(backdata) {
				$scope.$apply(function() {
					console.log("数据："+JSON.stringify(backdata));
					$scope.listdata =backdata;
					angular.forEach(backdata, function(item) {
						$scope.backtime = item.Date_time;
						$scope.currenttime = $scope.backtime.replace("/","-").replace("/","-").substr(0,$scope.backtime.length-3); 
						return;
					});
				});
			 });
		}
		
		$scope.loadCity();
		
		$scope.switch = function(param){
			if(param == 1){
				$scope.loadCity();
			}else{
				$scope.loadProvince();
			}
		}
		
	})
	.filter("replaceslash", function() {
		return function(input) {
			var out = "";
			return input.replace("/", "");
		}
	})
	.config(function($compileProvider) {
		$compileProvider.aHrefSanitizationWhitelist(/^\s*(https?|ftp|mailto|file|javascript):/);
	});