/** 
 *主页面控制器
 * @sxy
 **/

angular.module('zhxyteacher.environmental_sound', ["posthelper"])

	.controller('environmental_sound_controller', function($scope, posthelper,$compile) {
		mui.init({
			swipeBack: true,
			pullRefresh : {
		    container:refreshContainer,//待刷新区域标识，querySelector能定位的css选择器均可，比如：id、.class等
		    up : {
		      height:50,//可选.默认50.触发上拉加载拖动距离
		      auto:false,//可选,默认false.自动上拉加载一次
		      contentrefresh : "正在加载...",//可选，正在加载状态时，上拉加载控件上显示的标题内容
		      contentnomore:'没有更多数据了',//可选，请求完毕若没有更多数据时显示的提醒内容；
		      callback :loadmore //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
		    }
		  }
		});
		//加载数据
		var state = app.getState();
		var method = 'GetWebNewList';
		var parameter = {};
		state.method = method;
		state.parameter = parameter;
		var pageIndex = 1;
		state.parameter.pageSize = 9;
		state.parameter.titlenumber = 10;
		state.parameter.contentnumber=80;
		state.parameter.columnid=2800;
		state.parameter = parameter;
		
		$scope.doSearch = function(pageIndex) {
			state.parameter.pageIndex = pageIndex;
			posthelper.httppost(app.serverUrl, state, function callback(backdata) {
			$scope.$apply(function() {
				
				console.log("小贴士数据列表："+JSON.stringify(backdata));
               if(pageIndex ==1){
					$scope.newslist = backdata;
				}
               else{
					if(backdata.length != 0){
					mui('#refreshContainer').pullRefresh().endPullupToRefresh(false);
        			$scope["newslist"+pageIndex] = backdata;
        		    }else{
        		    	 mui('#refreshContainer').pullRefresh().endPullupToRefresh(true);
        		    }
					
				}
				

			});
		 });
		}
		$scope.doSearch(1);
		function loadmore(){
			pageIndex++;
			$scope.doSearch(pageIndex);
			var el = $compile("<div class='each-message' ng-repeat='item in newslist"+pageIndex+"' newsid='{{item.newsid}}'><div class='message-left'><h4>{{item.Title}}</h4><h5>{{item.Content}}</h5><span>{{item.adddate}}</span></div><div class='message-right'><img src='{{item.file1}}'></div></div>")($scope); //重新compile一下，再append
            $("#listcontent").append(el);
		}
		//模块跳转
		mui('.newslist').on('tap','.each-message',function(){
			var id=this.getAttribute('newsid');
			app.setParameter("newsid",id);
			app.openWindow("sound_detailed", "../environmental/sound_detailed.html");
		});
	})
	.filter("replaceslash", function() {
		return function(input) {
			var out = "";
			return input.replace("/", "");
		}
	})
	.config(function($compileProvider) {
		$compileProvider.aHrefSanitizationWhitelist(/^\s*(https?|ftp|mailto|file|javascript):/);
	});