/** 
 *登录页面控制器
 * @lxl
 **/

angular.module('zhxyteacher.login', ["posthelper"])
	.controller('loginpage', function($scope, posthelper) {
		mui.init({
			swipeBack: true
		});
		$scope.username = "";
		$scope.pwd = "";
		$scope.login = function() {
			if($scope.username.trim() == "" || $scope.pwd.trim() == ''){
			alert('用户名或密码不能为空');
			return false;
		}
			
		var state = app.getState();
		var deviceid = app.getState().head.ucode;
		var method = 'GetLand';
		var parameter = {
			iphone:$scope.username,
			pwd:$scope.pwd 
		};
		state.method = method;
		state.parameter = parameter;
		posthelper.httppost(app.serverUrl, state, function callback(backdata) {
			$scope.$apply(function() {
				console.log(JSON.stringify(backdata));
				if(backdata.token != undefined && backdata.token !=''){
//					alert(backdata.token+"  "+deviceid);
					//创建state
					app.createState('','','',backdata.token,deviceid);
					app.setParameter("phone",$scope.username);
					mui.toast("登录成功")
					mui.plusReady(function(){
						plus.webview.close('login');
					},false);
				}else{
					mui.toast('用户名或密码错误')
				}
			});
		});
		};
		$scope.regist = function(){
			app.openWindow("regist","html/main/rule_regist.html")
		}
		$scope.forgetpass = function(){
			app.openWindow("forget","html/main/forgetpass.html")
		}
	});