/** 
 *投诉内容页面控制器
 * @hx
 **/


angular.module('complaints_content', ["posthelper"])
	.controller('content', function($scope, posthelper) {
		mui.init({
			swipeBack: true,
			beforeback: function() {
				//获得列表界面的webview  
				var list = plus.webview.currentWebview().opener();
				//触发列表界面的自定义事件（refresh）,从而进行数据刷新  
				mui.fire(list, 'refreshload');
				//返回true，继续页面关闭逻辑  
				return true;
			}
		});
		
		 mui.plusReady(function() {  
            var self = plus.webview.currentWebview();  
            if(self.isLogin == 'yes'){
            	$('#mobile').val(self.tel);
            	$('#username').val(self.nickname);
            }
      });   

		//获取问题类型
		var state = app.getState();
		state.method = "GetProblemType";
		state.parameter = {};
		posthelper.httppost(app.serverUrl, state, function callback(backdata) {
			$scope.$apply(function() {
				$scope.queTypes = backdata ;
			});
			
		});
		
		//获取事发区域
		state.method = "GetIncidentArea";
		state.parameter = {};
		posthelper.httppost(app.serverUrl, state, function callback(backdata) {
			$scope.$apply(function() {
				
				$scope.areas = backdata ; 

			});
			
		});
			
			
		var photos = [];
		
		//拍照或从相册选择照片
		
		var imgId = 0;  //定义一个id添加给每一张图片
		var imgId2 =0;
		
		document.getElementById("paizhao").addEventListener('tap',
			function() {
				if (photos.length>=3){
					mui.toast('最多上传3张照片'); 
					return;
				}


				
				var a = [{
					title: "拍照"
				}, {
					title: "从手机相册选择"
				}];
				plus.nativeUI.actionSheet({
						//	 title: "修改头像",
						cancel: "取消",
						buttons: a
					},
					function(b) {
						switch(b.index) {
							case 0:
								break;
							case 1:
								getImage();
								break;
							case 2:
								galleryImg();
								break;
							default:
								break
						}
					})
			});
		//拍照
		function getImage() {
			var c = plus.camera.getCamera();
			c.captureImage(function(e) {
					plus.io.resolveLocalFileSystemURL(e,
						function(entry) {
							var path = entry.toLocalURL();
							var imglength = document.getElementsByClassName("fettle-images-display").length;
							document.getElementById("imgeach").innerHTML += '<div class="each-images" id=' + imglength + '>' +
								'<img src = "' + path + '"  onload="ReSizePic(this);"  data-preview-src="" data-preview-group="2"/ >' +
								'<a class="fettle-images-display icon-backspace-outline" imgId=' + (imgId2++) + ' id=' + imglength + ' path=' + path + ' ></a>' +
								'<div>';
								var reg = /[^/\\\\]+$/;
								var fileName = path.match(reg);
								appendFile(path, 1,fileName[0]);
						},
						function(e) {
							console.log("读取拍照文件错误：" + e.message);
						});
				},
				function(s) {
					console.log("error" + s);
				}, {
					filename: "_doc/camera/",
					index: 1
				});
		};

		//从相册中选择图片 
		function galleryImg() {
			console.log("从相册中选择图片:");
			plus.gallery.pick(function(e) {
					lfs=e.files;
					console.log(path);
					for(var i in e.files){
				    	//outLine(e.files[i]);
				    	var path = e.files[i];
				    	var imglength = document.getElementsByClassName("fettle-images-display").length;
						document.getElementById("imgeach").innerHTML += '<div class="each-images" id=' + imglength + '>' +
							'<img src = "' + path + '"  onload="ReSizePic(this);"  data-preview-src="" data-preview-group="2"/ >' +
							'<a class="fettle-images-display icon-backspace-outline" imgId=' + (imgId2++) + ' id=' + imglength + ' path=' + path + ' ></a>' +
							'<div>';
						var reg = /[^/\\\\]+$/;
						var fileName = path.match(reg)[0];
						appendFiles(path, 1,fileName); 
				    	
			    	}
					
				},
				function(e) {
					console.log("取消选择图片");
				}, {filter:'image',multiple:true,maximum:(3-photos.length),system:false,onmaxed:function(){
					plus.nativeUI.alert('最多只能选择3张图片');
			    }});// 最多选择3张图片
			    
		};
		
		
		var appendFile = function(path, i,fileName) {
			//获取拍照的照片转base64
			var img = new Image();
			img.src = path;
			console.log("照片路径：" + path);
			img.onload = function() {
				var that = this;
				//生成比例
				var w = this.width;
				h = that.height;
				scale = w / h;
				w = 480 || w; //480
				h = w / scale;
				//生成canvas
				var cancas = document.createElement('canvas');
				var ctx = cancas.getContext('2d');
				cancas.width = w;
				cancas.height = h;
				ctx.drawImage(that, 0, 0, w, h);
				//照片转向
				if(navigator.userAgent.match(/iphone/i)) {
					var mpImg = new MegaPixImage(path);
					mpImg.render(cancas, {
						maxWidth: w,
						maxHeight: h,
						quality: 0.8,
						orientation: 6
					});
				}
				var base64 = cancas.toDataURL('image/jpeg', 1 || 0.8);
				var repairimg = base64.replace(/data:image\/jpeg;base64,/, "");
				var img = {
					id : imgId,
					FileType: "jpg",
                    FileName: fileName,
                    FileContent: repairimg
				}
				photos.push(img);
				imgId += 1;
			}
			
		};
		var appendFiles = function(path, i,fileName) {
			//获取拍照的照片转base64
			var img = new Image();
			img.src = path;
			console.log("照片路径：" + path);
			img.onload = function() {
				var that = this;
				//生成比例
				var w = this.width;
				h = that.height ;
				scale = w / h;
				w = 480 || w; //480
				h = w / scale;
				//生成canvas
				var cancas = document.createElement('canvas');
				var ctx = cancas.getContext('2d');
				cancas.width = w;
				cancas.height = h;
				ctx.drawImage(that, 0, 0, w, h);
				var base64 = cancas.toDataURL('image/jpeg', 1 || 0.8);
				var repairimg = base64.replace(/data:image\/jpeg;base64,/, "");
				var img = {
					id : imgId,
					FileType: "jpg",
                    FileName: fileName,
                    FileContent: repairimg
				}
				photos.push(img);
				imgId += 1;
			}
			
		};
		//删除照片
		mui(".display-each").on('tap', '.icon-backspace-outline', function() {
			var id = this.getAttribute("id");
			var imgid = this.getAttribute("imgid");
			//alert(photos[2].id);
			
			for(var i=0;i<photos.length;i++){
				if(imgid == photos[i].id){
					photos.splice(i,1);
					break;
				}
			}
			$("#" + id).remove();
		});
		
		
		$scope.submit = function() {
			//app.setParameter("submitsuccess", "true");
			//提交投诉信息
			var Title = document.getElementById("Title").value; //标题
			var username = document.getElementById("username").value; //昵称
			var sex = document.getElementById("sex").value; //性别
			var address = document.getElementById("address").value; //地址
			var email = document.getElementById("email").value; // 邮箱
			var phone = document.getElementById("phone").value; //固话
			var mobile = document.getElementById("mobile").value; //手机
			var IsSecret = document.getElementById("IsSecret").value; //是否公开
			var Questyle = document.getElementById("Questyle").value; //类型
			var AreaRange = document.getElementById("AreaRange").value; //区域
			var Content = document.getElementById("Content").value; //内容
			
			
			
			if(username == '' || username.length>12){
				mui.toast('用户名格式不正确');
				return;
			}
			
			if(!(/^1\d{10}$/.test(mobile))){ 
		        mui.toast("手机号码有误，请重填");  
		        return false; 
		    } 
		    
		    if(Title == '' || Title.length>100){
				mui.toast('标题格式不正确');
				return;
			}
		    
		    if(Content == ''){
				mui.toast('请填写信件内容');
				return;
			}

			
			
			var imgs = document.getElementsByClassName("fettle-images-display");
			//删除照片的id属性
			for(var i=0;i<photos.length;i++){
				delete photos[i].id;
			}
			
			var state = app.getState();
			var method = "GetComplaintAdd";
			var parameter = {
				Title: Title,
				username: username,
				sex: sex,
				address: address,
				email: email,
				phone: phone,
				mobile: mobile,
				IsSecret: IsSecret,
				Questyle: Questyle,
				AreaRange: AreaRange,
				IP : returnCitySN["cip"],
				Content: Content,
			    file1: photos
			} 
			
			
			state.method = method;
			state.parameter = parameter;
			posthelper.httppost(app.serverUrl, state, function callback(backdata) {
				$scope.$apply(function() {
					console.log("这里是返回的内容"+backdata.type)
					if(backdata.type == 'ok') {
						
						mui.toast("保存成功!");
						//mui.back(); 
						//询问框
						var str = '查询码是：'+backdata.code+'</br></br>查询码是查询反馈意见的唯一凭据，请妥善保存，丢失将无法查询。'
						layer.confirm(str, { 
						  btn: ['确定'] //按钮
						}, function(){ 
							var complaint_content = plus.webview.getWebviewById("complaints_content");
							complaint_content.close();
							var complaint_list = plus.webview.getWebviewById("complaints_list");
						    mui.fire(complaint_list, 'refreshload');
						    app.openWindow('complaints_list', 'complaints_list.html'); 
						});
					} else {
						mui.toast(backdata.msg);
					}
					

				}); 
				
			});
			
		}
		

}).filter("replaceslash", function() {
		return function(input) {
			var out = "";
			return input.replace("/", "");
		}
	}).config(function($compileProvider) {
		$compileProvider.aHrefSanitizationWhitelist(/^\s*(https?|ftp|mailto|file|javascript):/);
	});