/** 
 *主页面控制器
 * @sxy
 **/

angular.module('zhxyteacher.bindphone', ["posthelper"])

	.controller('bindphone_controller', function($scope, posthelper) {
		mui.init({
			swipeBack: true
		});
		$scope.phone = "";
		$scope.pwd = "";
		$scope.confirmpwd = "";
		$scope.code = "";
		$scope.codestate = true;
		$scope.getcodevalue ="获取短信验证码"
		$scope.wait = 60;
		
		var state = app.getState();
		//获取验证过吗
		$scope.getCode = function(){
		if(!$scope.codestate){
			alert('请倒计时结束后，重新获取');
			return false;
		}
		//获取手机号，验证手机号格式
		var myreg = /^(((13[0-9]{1})|(15[0-9]{1})|(18[0-9]{1}))+\d{8})$/; 
		if(!myreg.test($scope.phone)) 
		{ 
		    alert('请输入有效的手机号码！'); 
		    return false; 
		} 
		var method = 'GetForgetPWD';
		var parameter = {
			Iphone:$scope.phone,
			Type:"0" 
		};
		state.method = method;
		state.parameter = parameter;
		posthelper.httppost(app.serverUrl, state, function callback(backdata) {
			$scope.$apply(function() {
				console.log(JSON.stringify(backdata));
				if(backdata.type == 'ok'){
					mui.toast("获取验证码成功")
					//获取成功后，将获取按钮置为不可点击，60秒后可以点击重新获取。
					$scope.codestate = false;
					$scope.time();
				}else if(backdata.type == 'error'){
					mui.toast(backdata.msg)
				}
			});
		});
		}
		$scope.time = function(){
			if($scope.wait == 0){
				document.getElementById("getcodevalue").innerHTML ="获取验证码"
				$scope.wait = 60;
				$scope.codestate = true;	
			}else{
//				$scope.getcodevalue =
				document.getElementById("getcodevalue").innerHTML = "重新获取("+$scope.wait+")";
				$scope.wait--;
				setTimeout(function() {  
                $scope.time()  
                 },  
                1000)  
			}
		}
		//注册
		$scope.regist = function(){
		//获取手机号，验证手机号格式
		var myreg = /^(((13[0-9]{1})|(15[0-9]{1})|(18[0-9]{1}))+\d{8})$/; 
		if(!myreg.test($scope.phone)) 
		{ 
		    alert('请输入有效的手机号码！'); 
		    return false; 
		} 
		if($scope.code == '') 
		{ 
		    alert('请输入验证码！'); 
		    return false; 
		}
		
		var method = 'GetVerifyPhone';
		var parameter = {
			iphone:$scope.phone,
			code:$scope.code 
		};
		state.method = method;
		state.parameter = parameter;
		posthelper.httppost(app.serverUrl, state, function callback(backdata) {
			$scope.$apply(function() {
				console.log(JSON.stringify(backdata));
				if(backdata.type == 'ok'){
					mui.toast("绑定成功")
					//成功后，关闭注册页面，返回登陆页面
					mui.back();
//					mui.plusReady(function(){
//						plus.webview.close('regist');
//					},false);

				}else{
					mui.toast('绑定失败')
				}
			});
		});
		}
		
		
		
	})
	.filter("replaceslash", function() {
		return function(input) {
			var out = "";
			return input.replace("/", "");
		}
	})
	.config(function($compileProvider) {
		$compileProvider.aHrefSanitizationWhitelist(/^\s*(https?|ftp|mailto|file|javascript):/);
	});