/** 
 *登录页面控制器
 * @lxl
 **/

angular.module('zhxyteacher.complaint_report', ["posthelper"])
	.controller('complaint_report_controller', function($scope, posthelper) {
		mui.init({
			swipeBack: true
		});
		var photos = [];
		var imgid = 0;
		$scope.mapselect = function() {
			app.setParameter("webviewid", "complaint_report");
			var longitude = document.getElementById("longt").value;
			var latitude = document.getElementById("lat").value;
			var adrr = document.getElementById("adrr").value;
			app.setParameter("longitude", longitude);
			app.setParameter("latitude", latitude);
			app.setParameter("adrr", adrr);
			app.openWindow("mapselect", "../pubilctity_area/map_select.html")
		}
		app.setParameter("submitsuccess", "");
		var rewardid = app.getParameter("rewardid");
		var update = app.getParameter("update");
		if(update == '1') {
			$scope.isdelete = false;
			$scope.issubmit = true;
			mui.plusReady(function() {
				plus.geolocation.getCurrentPosition(geoInf, function(e) {
					outSet("获取定位位置信息失败：" + e.message);
				}, {
					geocode: true,
					provider: 'amap'
				});
			});
			var geoInf = function(position) {
				var adrr = position.addresses;
				var codns = position.coords; //获取地理坐标信息；
				var lat = codns.latitude; //获取到当前位置的纬度；
				var longt = codns.longitude; //获取到当前位置的经度
				document.getElementById("adrr").value = adrr;
				document.getElementById("longt").value = longt;
				document.getElementById("lat").value = lat;
			}
		} else {
			if(rewardid != "") {
				$scope.isdelete = true;
				$scope.issubmit = true;
				var state = app.getState();
				state.parameter = {
					id: rewardid
				};
				state.method = "GetReportDetail";
				posthelper.httppost(app.serverUrl, state, function callback(backdata) {
					$scope.$apply(function() {
						var topic_list = document.getElementById("imgeach");
						var html = topic_list.innerHTML;
						console.log("有奖举报数据：" + JSON.stringify(backdata));
						$scope.vehicle = backdata;
						document.getElementById("longt").value = backdata.longitude;
						document.getElementById("lat").value = backdata.latitude;
						document.getElementById("adrr").value = backdata.Address;
						document.getElementById("collection").value = backdata.Collection;
						document.getElementById("Remark").value = backdata.Remark;
						document.getElementById("infoclass").value = backdata.InfoClassID;
						var imgs = [];
						angular.forEach(backdata.img, function(item, index) {
							var img = {
								imgsrc: item.imgpath,
								isedit: "true",
								imgid: item.id
							}
							imgs.push(img);
						});
						$scope.imglist = imgs;
					});
				});
			} else {
				$scope.isdelete = false;
				$scope.issubmit = true;
				$scope.selectadrr = true;
				mui.plusReady(function() {
					plus.geolocation.getCurrentPosition(geoInf, function(e) {
						outSet("获取定位位置信息失败：" + e.message);
					}, {
						geocode: true,
						provider: 'amap'
					});
				});
				var geoInf = function(position) {
					var adrr = position.addresses;
					var codns = position.coords; //获取地理坐标信息；
					var lat = codns.latitude; //获取到当前位置的纬度；
					var longt = codns.longitude; //获取到当前位置的经度
					document.getElementById("adrr").value = adrr;
					document.getElementById("longt").value = longt;
					document.getElementById("lat").value = lat;
				}
			}
		}

		//信息分类获取
		var state = app.getState();
		var method = "GetInfoClass";
		var parameter = {};
		state.method = method;
		state.parameter = parameter;
		posthelper.httppost(app.serverUrl, state, function callback(backdata) {
			$scope.$apply(function() {
				console.log("信息分类：" + JSON.stringify(backdata));
				$scope.InfoClasslist = backdata;
			});
		});
		//拍照或从相册选择照片
		
		var imgId = 0;
		document.getElementById("paizhao").addEventListener('tap',
			function() {
				var a = [{
					title: "拍照"
				}, {
					title: "从手机相册选择"
				}];
				plus.nativeUI.actionSheet({
						//	 title: "修改头像",
						cancel: "取消",
						buttons: a
					},
					function(b) {
						switch(b.index) {
							case 0:
								break;
							case 1:
								getImage();
								break;
							case 2:
								galleryImgs();
								break;
							default:
								break
						}
					})
			});
		//拍照
		function getImage() {
			var c = plus.camera.getCamera();
			c.captureImage(function(e) {
					plus.io.resolveLocalFileSystemURL(e,
						function(entry) {
							var path = entry.toLocalURL();
							document.getElementById("imgeach").innerHTML += '<div class="each-images" id=' + imgid + '>' +
								'<img src = "' + path + '"  onload="ReSizePic(this);"  data-preview-src="" data-preview-group="2"/ >' +
								'<a class="fettle-images-display icon-times-circle-o"  id=' + imgid + ' path=' + path + ' isedit="false"></a>' +
								'<div>';
							appendFile(path, 1);
						},
						function(e) {
							console.log("读取拍照文件错误：" + e.message);
						});
				},
				function(s) {
					console.log("error" + path);
				}, {
					filename: "_doc/camera/",
					index: 1
				});
		}
		function galleryImgs(){
			// 从相册中选择图片
			console.log('从相册中选择多张图片：');
		    plus.gallery.pick(function(e){
		    	for(var i in e.files){
			    	var path=e.files[i];
			    	document.getElementById("imgeach").innerHTML += '<div class="each-images" id=' + imgid + '>' +
						'<img src = "' + path + '"  onload="ReSizePic(this);"  data-preview-src="" data-preview-group="2"/ >' +
						'<a class="fettle-images-display icon-times-circle-o"  id=' + imgid + ' path=' + path + ' isedit="false"></a>' +
						'<div>';
					appendFiles(path, 1);
		    	}
		    }, function(e){
		    	console.log('取消选择图片');
		    },{filter:'image',multiple:true,system:false});
		}
		var appendFile = function(path, i) {
			//获取拍照的照片转base64
			var img = new Image();
			img.src = path;
			console.log("照片路径：" + path);
			img.onload = function() {
				var that = this;
				//生成比例
				var w = this.width;
				var h = that.height;
				scale = w / h;
				w = 480 || w; //480
				h = w / scale;
				//生成canvas
				var cancas = document.createElement('canvas');
				var ctx = cancas.getContext('2d');
				cancas.width = w;
				cancas.height = h;
				ctx.drawImage(that, 0, 0, w, h);
				if(navigator.userAgent.match(/iphone/i)) {
					var mpImg = new MegaPixImage(img);
					mpImg.render(cancas, {
						maxWidth: w,
						maxHeight: h,
						quality: 0.8,
						orientation: 6
					});
				}
				var base64 = cancas.toDataURL('image/jpeg', 1 || 0.8);
				console.log(base64);
				var repairimg = base64.replace(/data:image\/jpeg;base64,/, "");
				var imgs = {
					id: "",
					Base: repairimg,
					Exname: "jpg",
					type: "2"
				}
				var imgitem = {
					key: imgid,
					value: imgs
				}
				photos.push(imgitem);
				imgid++;
			}
		}
		$scope.checkText = function() {
			if($scope.text.length >= 30) {
				mui.toast("限定最多输入30字。");
				$scope.text = $scope.text.substr(0, 30);
			}
		};
		var appendFiles = function(path, i) {
			//获取拍照的照片转base64
			var img = new Image();
			img.src = path;
			console.log("照片路径：" + path);
			img.onload = function() {
				var that = this;
				//生成比例
				var w = this.width;
				h = that.height;
				scale = w / h;
				w = 480 || w; //480
				h = w / scale;
				//生成canvas
				var cancas = document.createElement('canvas');
				var ctx = cancas.getContext('2d');
				cancas.width = w;
				cancas.height = h;
				ctx.drawImage(that, 0, 0, w, h);
				var base64 = cancas.toDataURL('image/jpeg', 1 || 0.8);
				var repairimg = base64.replace(/data:image\/jpeg;base64,/, "");
				var imgs = {
					id: "",
					Base: repairimg,
					Exname: "jpg",
					type: "2"
				}
				var imgitem = {
					key: imgid,
					value: imgs
				}
				photos.push(imgitem);
				imgid++;
			}
		}
		//删除照片
		mui(".display-each").on('tap', '.fettle-images-display', function() {
			var id = this.getAttribute("id");
			var imgid = this.getAttribute("imgid");
			var isedit = this.getAttribute("isedit");
			if(isedit == "true") {
				var imgs = {
					id: imgid,
					Base: "",
					Exname: "",
					type: "1"
				}
				var itemimg = {
					key: imgid,
					value: imgs
				}
				photos.push(itemimg);
			}else{
				angular.forEach(photos,function(item,index){
					if (item.key==id){
						 photos.splice(index,1);
					}
				});
			}
			$("#" + id).remove();
		});
		$scope.closeback = function() {
			layer.confirm('确认删除吗？', {
				skin: 'layui-layer-molv', //样式类名
				icon: 3,
				title: ''
			}, function() {
				//删除举报信息
				var state = app.getState();
				var method = "GetReportDel";
				var parameter = {
					id: rewardid,
					type: '1'
				}
				state.method = method;
				state.parameter = parameter;
				posthelper.httppost(app.serverUrl, state, function callback(backdata) {
					$scope.$apply(function() {
						console.log("有奖举报删除：" + JSON.stringify(backdata));
						mui.toast("删除成功!");
						var all = plus.webview.all();
						for(var i = 0; i < all.length; i++) {
							if(all[i].id == "rule_polute") {
								all[i].close();
							} else if(all[i].id == "complaint_report") {
								all[i].close();
							}
						}
						var reward_report = plus.webview.getWebviewById("reward_report");
						mui.fire(reward_report, 'refreshlist');
						app.openWindow('reward_report', 'reward_report.html');
					});
				});
			}, function() {});
		}
		$scope.submit = function() {
			var imgs = document.getElementsByClassName("fettle-images-display");
			var photoitems=[];
			angular.forEach(imgs, function(item, index) {
				var isedit = item.getAttribute("isedit");
				if(isedit == "true") {
					var imgid = item.getAttribute("imgid");
					var imgs = {
						id: imgid,
						Base: "",
						Exname: "",
						type: "0"
					}
					photoitems.push(imgs);
				}
			});
			angular.forEach(photos, function(item, index) {
					photoitems.push(item.value);
			});
			//提交投诉信息
			var jd = document.getElementById("longt").value; //经度
			var wd = document.getElementById("lat").value; //纬度
			var adrr = document.getElementById("adrr").value; //地址
			var infoclass = document.getElementById("infoclass"); //选中的信息分类
			var index = infoclass.selectedIndex; // selectedIndex代表的是你所选中项的index
			var infoclass_value = infoclass.options[index].value;
			var infoclass_name = infoclass.options[index].text;
			var collection = document.getElementById("collection").value; //采集点
			var Remark = document.getElementById("Remark").value;
			if(collection.length == 0) {
				layer.msg("请输入举报对象", {
					icon: 0
				})
			} else {
				var method = "GetReport";
				var parameter = {
					id: rewardid,
					type: update,
					longitude: jd,
					latitude: wd,
					InfoClassID: infoclass_value,
					InfoClassNmae: infoclass_name,
					Collection: collection,
					Address: adrr,
					Remark: Remark,
					IsAnonymous: '1',
					imgBase: photoitems
				}
				state.method = method;
				state.parameter = parameter;
				posthelper.httppost(app.serverUrl, state, function callback(backdata) {
					$scope.$apply(function() {
						if(backdata.type == 'ok') {
							mui.toast("保存成功!");
							var all = plus.webview.all();
							for(var i = 0; i < all.length; i++) {
								if(all[i].id == "rule_polute") {
									all[i].close();
								} else if(all[i].id == "complaint_report") {
									all[i].close();
								}
							}
						} else {
							mui.toast("保存失败!")
						}

					});
					var reward_report = plus.webview.getWebviewById("reward_report");
					mui.fire(reward_report, 'refreshlist');
					app.openWindow('reward_report', 'reward_report.html');
				});
			}

		}
		//自定义监听事件
		window.addEventListener('getpoint', function(event) {
			//获得事件参数
			//var id = event.detail.id;
			//根据id向服务器请求新闻详情
			console.log("反回了...." + event.detail.address);
			document.getElementById("adrr").value = event.detail.address;
			document.getElementById("longt").value = event.detail.lng;
			document.getElementById("lat").value = event.detail.lat;
		});

	}).filter("replaceslash", function() {
		return function(input) {
			var out = "";
			return input.replace("/", "");
		}
	}).config(function($compileProvider) {
		$compileProvider.aHrefSanitizationWhitelist(/^\s*(https?|ftp|mailto|file|javascript):/);
	});