/** 
 *登录页面控制器
 * @lxl
 **/

angular.module('zhxyteacher.complaints_login', ["posthelper"])
	.controller('complaints_login_controller', function($scope, posthelper) {
		mui.init({
			swipeBack: true
		});
		//底部选项卡切换
        mui('.footer').on('tap','a',function(){
        	var id=this.getAttribute("id");
        	if(id.indexOf('home')>=0){
        		app.openWindow("main", "../main/main.html");
        	}else if(id.indexOf('search')>=0){
        		app.openWindow("search", "../main/search.html");
        	}else if(id.indexOf('weixin')>=0){
        		app.openWindow("micro_letter", "../main/micro_letter.html");
        	}else if(id.indexOf('weibo')>=0){
        		app.openWindow("microblogging", "../main/microblogging.html");
        	}else if(id.indexOf('user')>=0){
        		app.openWindow("personal_center", "../main/personal_center.html");
        	}
        });
		$scope.login = function() {
			app.openWindowNoloading('complaint_report', '../main/complaint_report.html');
		};
	}).filter("replaceslash", function() {
		return function(input) {
			var out = "";
			return input.replace("/", "");
		}
	})
	.config(function($compileProvider) {
		$compileProvider.aHrefSanitizationWhitelist(/^\s*(https?|ftp|mailto|file|javascript):/);
	});