/** 
 *登录页面控制器
 * @lxl
 **/

angular.module('zhxyteacher.exchange', ["posthelper"])
	.controller('exchange_controller', function($scope, posthelper,$sce) {
		mui.init({
			swipeBack: true
		});
		$scope.myphone = app.getParameter("phone");
		$scope.exchangeState = "0";
		$scope.type = "";
		$scope.loaddata = function() {
			var state = app.getState();
			state.method = "GetExchangeInfo";
			state.parameter = {}
			posthelper.httppost(app.serverUrl, state, function callback(backdata) {
				$scope.$apply(function() {
					console.log(JSON.stringify(backdata));
					$scope.myscore = backdata.MyScore;
//					$scope.RuleContent = backdata.RuleContent;
					$scope.RuleContent = $sce.trustAsHtml(backdata.RuleContent.replace(/\\r\\n/g,"<br/><p>"));
					$scope.exchangeState = backdata.State;
					$scope.IsAfford = backdata.IsAfford;
					$scope.Remark = backdata.Remark;
				});
			});
		}
		$scope.loaddata();
		$scope.openExchange = function() {
			document.getElementById("recharge").style.display="block";
		}
		$scope.CancelExchange = function(){
			document.getElementById("recharge").style.display="none";
		}
		$scope.clicktype = function(type) {
			$scope.type = type;
			if(type=='1'){
				$scope.typename = '移动';
			}
			if(type=='2'){
				$scope.typename = '联通';
			}
			if(type=='3'){
				$scope.typename = '电信';
			}
		}
		$scope.UserExchange = function() {
			if($scope.exchangeState == '1'){
				alert('每个用户每个月只能兑换一次');
				return;
			}
			if($scope.type == '') {
				alert('请选择类型');
				return;
			}
			var btn = ["确定","取消"];
			  mui.confirm('你正在进行'+$scope.Remark+'的操作,兑换的流量将于7个工作日内送达,运营商为('+$scope.typename+'),确认继续操作吗？','青岛环保',btn,function(e){
			    if(e.index==0){
			    	$scope.submitData();
			    }
			  });

		}
		$scope.submitData = function() {
			document.getElementById("recharge").style.display="none";
			var state = app.getState();
			state.method = "UserExchange";
			state.parameter = {
				phone: $scope.myphone,
				type: $scope.type,
				remark: ""
			}
			posthelper.httppost(app.serverUrl, state, function callback(backdata) {
				$scope.$apply(function() {
					console.log(JSON.stringify(backdata));
					if(backdata.type == 'ok') {
						mui.toast("兑换成功");
					} else if(backdata.type == 'error') {
						mui.toast(backdata.msg);
					}
				});
			});
		}

	}).filter("replaceslash", function() {
		return function(input) {
			var out = "";
			return input.replace("/", "");
		}
	})
	.config(function($compileProvider) {
		$compileProvider.aHrefSanitizationWhitelist(/^\s*(https?|ftp|mailto|file|javascript):/);
	});