/** 
 *主页面控制器
 * @sxy
 **/

angular.module('zhxyteacher.integral', ["posthelper"])

	.controller('integral_controller', function($scope, posthelper,$compile) {
		mui.init({
			swipeBack: true,
			pullRefresh : {
		    container:refreshContainer,//待刷新区域标识，querySelector能定位的css选择器均可，比如：id、.class等
		    up : {
		      height:50,//可选.默认50.触发上拉加载拖动距离
		      auto:false,//可选,默认false.自动上拉加载一次
		      contentrefresh : "正在加载...",//可选，正在加载状态时，上拉加载控件上显示的标题内容
		      contentnomore:'没有更多数据了',//可选，请求完毕若没有更多数据时显示的提醒内容；
		      callback :loadmore //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
		    }
		  }
		});
		//加载数据
		var state = app.getState();
		var method = 'GetScoreList';
		var parameter = {};
		state.method = method;
		state.parameter = parameter;
		var pageIndex = 1;
		state.parameter.pageSize = 9;
		state.parameter = parameter;
		
		$scope.doSearch = function(pageIndex) {
			state.parameter.pageIndex = pageIndex;
			posthelper.httppost(app.serverUrl, state, function callback(backdata) {
			$scope.$apply(function() {
				
				console.log("积分列表："+JSON.stringify(backdata));
               if(pageIndex ==1){
					$scope.newslist = backdata;
				}
               else{
					if(backdata.length != 0){
					mui('#refreshContainer').pullRefresh().endPullupToRefresh(false);
        			$scope["newslist"+pageIndex] = backdata;
        		    }else{
        		    	 mui('#refreshContainer').pullRefresh().endPullupToRefresh(true);
        		    }
					
				}
				

			});
		 });
		}
		$scope.doSearch(1);
		function loadmore(){
			pageIndex++;
			$scope.doSearch(pageIndex);
			var el = $compile("<div class='reward-item' ng-repeat = 'item in newslist"+pageIndex+"'><div class='reward-numb' ng-bind='item.iScore'></div><div class='user-info'><div class='phone-script' ng-bind='item.Remark'></div><div class='reward-day' ng-bind='item.CreateTime'></div></div></div>")($scope);
            $("#listcontent").append(el);
		}
	})
	.filter("replaceslash", function() {
		return function(input) {
			var out = "";
			return input.replace("/", "");
		}
	})
	.config(function($compileProvider) {
		$compileProvider.aHrefSanitizationWhitelist(/^\s*(https?|ftp|mailto|file|javascript):/);
	});