/** 
 *主页面控制器
 * @sxy
 **/

angular.module('zhxyteacher.law_detail', ["posthelper"])

	.controller('law_detail_controller', function($scope, $sce, posthelper) {
		mui.init({
			swipeBack: true
		});
		//加载数据
		var id = app.getParameter("id");
		var state = app.getState();
		var method = 'GetZWGKDetailed';
		var parameter = {
			Gid: id
		};
		state.method = method;
		state.parameter = parameter;
		posthelper.httppost(app.serverUrl, state, function callback(backdata) {
			$scope.$apply(function() {
				console.log("详情内容：" + JSON.stringify(backdata));
				var data = {
					n_Identifier: backdata.n_Identifier,
					n_Title: backdata.n_Title,
					DepartName: backdata.DepartName,
					createDate: backdata.createDate,
					ZWGK_WH: backdata.ZWGK_WH,
					filePath: backdata.filePath,
					fileName: backdata.fileName,
					ModuleName: backdata.ModuleName,
					Content: $sce.trustAsHtml(decodeURIComponent(backdata.Content))
				}
				$scope.lawdata = data;
			});
		});
		//附件
		$scope.openfile = function(fileurl){
			console.log(fileurl);
			mui.plusReady(function(){
//				alert(plus.os.name);
				if(plus.os.name == 'Android'){
					 plus.runtime.openURL(fileurl);
				}else{
					var wait = plus.nativeUI.showWaiting("正在打开文件...");
				    var dtask = plus.downloader.createDownload(fileurl, {method: "GET"}, function(d, status) {
				        if (status == 200) {
				            plus.runtime.openFile(d.filename, {}, function(e){
				                wait.close();
				                mui.alert( "无法打开此文件："+e.emssage,"我的软件" );
				            });
				            wait.close();
				        } else {
				            wait.close();
				            mui.alert("文件打开失败: " + status, "我的软件");
				        }
				    });
				    dtask.start();
				}
				
			})
		}
	})
	.filter("replaceslash", function() {
		return function(input) {
			var out = "";
			return input.replace("/", "");
		}
	})
	.config(function($compileProvider) {
		$compileProvider.aHrefSanitizationWhitelist(/^\s*(https?|ftp|mailto|file|javascript):/);
	});