/** 
 *投诉列表页面控制器
 * @hx
 **/

angular.module('policy_list', ["posthelper", 'ngRoute'])

	.controller('policy_list_controller', function($scope,$sce, $http, posthelper,$compile) {
		mui.init({
			swipeBack: true,
			pullRefresh : {
		    container:refreshContainer,//待刷新区域标识，querySelector能定位的css选择器均可，比如：id、.class等
		    up : {
		      height:50,//可选.默认50.触发上拉加载拖动距离
		      auto:false,//可选,默认false.自动上拉加载一次
		      contentrefresh : "正在加载...",//可选，正在加载状态时，上拉加载控件上显示的标题内容
		      contentnomore:'没有更多数据了',//可选，请求完毕若没有更多数据时显示的提醒内容；
		      callback :loadmore //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
		    }
		  }
		});
        
        var styles=app.getParameter("styles");
		var state = app.getState();
		var method = "GetUnscrambleList";
		var pageIndex = 1;
		var pageSize = 15; 
		$scope.doSearch = function(pageIndex) {
			var state = app.getState();
			var parameter = {
			style:styles, 
			pageIndex:pageIndex,
			pageSize:pageSize,
		    };
		    state.method = method;
			state.parameter=parameter;
			posthelper.httppost(app.serverUrl, state, function callback(backdata) {
			$scope.$apply(function() {
				console.log(JSON.stringify(backdata));
               if(pageIndex ==1){ 
               	var policys=[];
               	angular.forEach(backdata,function(item,index){
               		var policy={
               			id:item.id,
               			title:$sce.trustAsHtml("  <strong>【"+item.itype+"】</strong>"+item.title),
               			time:item.time
               		}
               		policys.push(policy);
               	});
               	$scope.policyList = policys;
				}
               else{
					if(backdata.length != 0){
					var policys=[];	
					angular.forEach(backdata,function(item,index){
					var policy={
               			id:item.id,
               			title:$sce.trustAsHtml("  <strong>【"+item.itype+"】</strong>"+item.title),
               			time:item.time
               		}
               		policys.push(policy);
               		});
					mui('#refreshContainer').pullRefresh().endPullupToRefresh(false);
        			$scope["policyList"+pageIndex] = policys;
        			var el = $compile("<div  class='regulations' ng-repeat='item in policyList"+pageIndex+"'><div class='policy-list' id='{{item.id}}'><div class='policy-list-tit icon-tasks' ng-bind-html='item.title'></div><div class='policy-list-time' ng-bind='item.time'>2017/05/25</div></div></div>")($scope); //重新compile一下，再append
             
	            	$("#listcontent").append(el);
	            	
        		    }else{
        		    	 mui('#refreshContainer').pullRefresh().endPullupToRefresh(true);
        		    }
					
				}
				

			});
		 });
		 
		};
		function loadmore(){
			pageIndex++;
			$scope.doSearch(pageIndex);
            $scope["policyList"+pageIndex] = null;
		};
		$scope.doSearch(pageIndex);
		//详情
		mui(".container").on("tap",".policy-list",function(){
			var id=this.getAttribute("id");
			app.setParameter("id", id);
			app.openWindow("law_detail", "law_detail.html");
		});
	}).filter("replaceslash", function() {
		return function(input) {
			var out = "";
			return input.replace("/", "");
		}
	})
	.config(function($compileProvider) {
		$compileProvider.aHrefSanitizationWhitelist(/^\s*(https?|ftp|mailto|file|javascript):/);
	});