/** 
 *投诉列表页面控制器
 * @hx
 **/

angular.module('policy_regulations', ["posthelper", 'ngRoute'])

	.controller('policy_regulations_controller', function($scope, posthelper) {
		mui.init();

		var state = app.getState();
		var method = "GetUnscramble";
		var parameter = {};
		state.method = method;
		state.parameter = parameter;
		posthelper.httppost(app.serverUrl, state, function callback(backdata) {
			$scope.$apply(function() {
				console.log("法律法规模块：" + JSON.stringify(backdata));
				$scope.policy = backdata;
			});
		});
		$scope.topolicy = function(styles) {
			app.setParameter("styles", styles);
			app.openWindow("policy_list", "policy_list.html");
		}
		//解读详情跳转
		$scope.toinfo = function(url) {
			var urlstr = "";
			if(url.indexOf("http") >= 0) {
				urlstr = url;
			} else {
				urlstr = "http://" + url;
			}
			clicked('../main/complain.html', true, false, {
				title: "法规解读",
				targeturl: urlstr
			});
		}
		//详情页面跳转
		$scope.todetail = function(name,id, type, url,Parameter) {
			if(type == '1') {
				app.setParameter("id", Parameter);
				app.openWindow("law_detail", "law_detail.html");
			} else {
				var urlstr = "";
				if(url.indexOf("http") >= 0) {
					urlstr = url;
				} else {
					urlstr = "http://" + url;
				}
				clicked('../main/complain.html', true, false, {
					title: "法律解读",
					targeturl: urlstr
				});
			}

		}
	}).filter("replaceslash", function() {
		return function(input) {
			var out = "";
			return input.replace("/", "");
		}
	})
	.config(function($compileProvider) {
		$compileProvider.aHrefSanitizationWhitelist(/^\s*(https?|ftp|mailto|file|javascript):/);
	});