/** 
 *主页面控制器
 * @sxy
 **/

angular.module('zhxyteacher.publicity_area', ["posthelper", 'ionic'])

	.controller('publicity_area_controller', function($scope, $timeout, posthelper) {
		mui.init({
			swipeBack: true
		});
		$scope.closeshow = function(){
			document.getElementById("activeday").style.display="none";
		}
		mui.plusReady(function(){
		var publicareamethod = "GetConstruction";
		var state = app.getState();
		$scope.nightwork = "夜间施工";
		//默认夜间施工图标
		$scope.nightclass = "area-menu-sub active-color"; //默认夜间施工图标
		//加载公示专区夜间施工列表
		$scope.domore = false;
		$scope.pageindex = 0;
		$scope.pagesize = 5;
		$scope.items = [];
		$scope.doRefresh = function() {
			$scope.pageindex = 1;
			var timer = null;
			var state = app.getState();
			var parameter = {
				pageIndex: $scope.pageindex,
				pageSize: $scope.pagesize
			}
			state.method = method;
			state.parameter = parameter;
			mui.ajax(app.serverUrl, {
				data: JSON.stringify(state),
				dataType: 'text',
				type: 'post',
				timeout: 10000,
				success: function(data) {
					var back = JSON.parse(data);
					$scope.items = back.result;
					$scope.areatype = publicareamethod; //公示类型，用于列表显示不同内容
					
				},
				error: function(xhr, type, errorThrown) {}
			});
			$scope.$broadcast('scroll.refreshComplete');
		};
		$scope.loadMore = function() {
//			var w = plus.nativeUI.showWaiting( "等待中...",{padlock:true} );
			$scope.pageindex++;
			var timer = null;
			var state = app.getState();
			var method = publicareamethod;
			var parameter = {
				pageIndex: $scope.pageindex,
				pageSize: $scope.pagesize
			}
			state.method = method;
			state.parameter = parameter;
			if(method == 'GetWebNewList'){
				state.parameter.columnid = '2190';
				state.parameter.titlenumber = '14';
				state.parameter.contentnumber = '20';
			}
			mui.ajax(app.serverUrl, {
				data: JSON.stringify(state),
				dataType: 'text',
				type: 'post',
				timeout: 10000,
				success: function(data) {
					$scope.areatype = publicareamethod; //公示类型，用于列表显示不同内容
					var back = JSON.parse(data);
					if(jQuery.isEmptyObject(back.result)) {
						$scope.domore = true;
						return;
					}
					if(back.result) {
						if(back.result.length !== 0) {
							$scope.items = $scope.items.concat(back.result);
						} else {
							$scope.domore = true;
						}
						if(back.result.length === 0) {
							$scope.domore = true;
						}
						timer = $timeout(function() {
							$scope.$broadcast('scroll.infiniteScrollComplete');
						}, 1000);
					} else {
						$scope.domore = true;
						$scope.$broadcast('scroll.infiniteScrollComplete');
					}
					$scope.$broadcast('scroll.infiniteScrollComplete');
//						w.close();
					
				},
				error: function(xhr, type, errorThrown) {
					$timeout.cancel(timer);
//						w.close();
				}
			});
			$scope.$on("$destroy", function() {
				//clearTimeout(timer.$$timeoutId);  
				$timeout.cancel(timer);
				//清除配置,不然scroll会重复请求  
			});
		}
		     $scope.loadMore();
		//设置方法名称
		mui('.area-menu').on('tap', 'a', function() {
			console.log("置为选中:" + this.getAttribute("id"));
			//			this.setAttribute('class', 'area-menu-sub active-color');
			this.className = "area-menu-sub active-color";
			var areamenus = document.getElementsByName("areamenu");
			for(var i = 0; i < areamenus.length; i++) {
				if(this.getAttribute("id") != areamenus[i].getAttribute("id"))
					areamenus[i].className = "area-menu-sub";
				console.log("置为未选中:" + areamenus[i].getAttribute("id"));
			}

			var id = this.getAttribute("id");
			if(id.indexOf("night_construction") >= 0) {
				updatas('GetConstruction');
				document.getElementById("isshowmap").style.display = "block";
				document.getElementById("others").setAttribute('class', 'writing icon-wb_incandescent');
				document.getElementById("penalty").style.display = "none";
				document.getElementById("others").style.display = "block";
				$scope.nightwork = "夜间施工";
			} else if(id.indexOf("PunishList") >= 0) {
				updatas('GetPunishList');
				document.getElementById("isshowmap").style.display = "none";
				document.getElementById("penalty").style.display = "block";
				document.getElementById("others").style.display = "none";
				$scope.nightwork = "行政处罚";
			} else if(id.indexOf("JsSpList") >= 0) {
				updatas('GetJsSpList');
				document.getElementById("isshowmap").style.display = "none";
				document.getElementById("others").setAttribute('class', 'writing icon-envelope-open');
				document.getElementById("penalty").style.display = "none";
				document.getElementById("others").style.display = "block";
				$scope.nightwork = "建设项目审批决定公示"; //设置名称
			} else if(id.indexOf("FsSpList") >= 0) {
				updatas('GetFSXKZList');
				document.getElementById("isshowmap").style.display = "none";
				document.getElementById("others").setAttribute('class', 'writing icon-envelope-open-o');
				document.getElementById("penalty").style.display = "none";
				document.getElementById("others").style.display = "block";
				$scope.nightwork = "辐射安全许可证";
			} else if(id.indexOf("JsYsList") >= 0) {
				updatas('GetJsYsList');
				document.getElementById("isshowmap").style.display = "none";
				document.getElementById("others").setAttribute('class', 'writing icon-clipboard2');
				document.getElementById("penalty").style.display = "none";
				document.getElementById("others").style.display = "block";
				$scope.nightwork = "建设项目验收决定公示";
			} else if(id.indexOf("more") >= 0) {
//				document.getElementById("isshowmap").style.display = "none";
//				document.getElementById("others").setAttribute('class', 'writing icon-folder-open');
//				updatas('GetEnterpriseNoList');
//				document.getElementById("penalty").style.display = "none";
//				document.getElementById("others").style.display = "block";
//				$scope.nightwork = "更多";
                document.getElementById("activeday").style.display="block";
			}
			$scope.loadMore();
		});
		$scope.openmore = function(method){
			document.getElementById("activeday").style.display="none";
			if(method.indexOf("HpkhList") >= 0) {
				document.getElementById("isshowmap").style.display = "none";
				document.getElementById("others").setAttribute('class', 'writing icon-folder-open');
				updatas('GetEnterpriseNoList');
				document.getElementById("penalty").style.display = "none";
				document.getElementById("others").style.display = "block";
				$scope.nightwork = "环保不达标企业名单(每月公示一次)";
			}else if(method.indexOf("GetWebNewList") >= 0) {
				document.getElementById("isshowmap").style.display = "none";
				document.getElementById("others").setAttribute('class', 'writing icon-folder-open');
				updatas('GetWebNewList');
				document.getElementById("penalty").style.display = "none";
				document.getElementById("others").style.display = "block";
				$scope.nightwork = "环境状况公报";
			}
			
			$scope.loadMore();
			
		}
		var updatas = function(methods) {
			var state = app.getState();
			var method = methods;
			$scope.items = [];
			publicareamethod = methods;
			$scope.domore = false;
			$scope.pageindex = 0;
			$scope.pagesize =5;
			$scope.areatype = publicareamethod; //公示类型，用于列表显示不同内容
		}
		//详情页面跳转
		mui(".construction-height").on('tap', '.night-con', function() {
			var areaid = this.getAttribute("areaid"); //公示id
			var areatype = this.getAttribute("areatype"); //公示类型
			if(areatype == 'GetWebNewList'){
				app.setParameter("newsid",areaid);
				app.openWindow("communique_detail", "../schort/environmental/communique_detailed.html");
			}else{
				app.setParameter('areaid', areaid);
				app.setParameter("areatype", areatype);
				app.openWindow("approval_publicity", "../main/approval_publicity.html");
			}
			
		});
		//展示夜间施工地图
		$scope.showmap = function() {
			app.openWindow("night_construction", "../pubilctity_area/night_construction.html");
		}
		});
		
	})
	.filter("replaceslash", function() {
		return function(input) {
			var out = "";
			return input.replace("/", "");
		}
	})
	.config(function($compileProvider) {
		$compileProvider.aHrefSanitizationWhitelist(/^\s*(https?|ftp|mailto|file|javascript):/);
	});