/** 
 *主页面控制器
 * @sxy
 **/

angular.module('zhxyteacher.reward_report', ["posthelper"])

	.controller('reward_report_controller', function($scope,$sce, posthelper, $compile) {

		//获取列表
		mui.init({
			swipeBack: true,
			pullRefresh: {
				container: refreshContainer, //待刷新区域标识，querySelector能定位的css选择器均可，比如：id、.class等
				up: {
					height: 30, //可选.默认50.触发上拉加载拖动距离
					auto: false, //可选,默认false.自动上拉加载一次
					contentrefresh: "正在加载...", //可选，正在加载状态时，上拉加载控件上显示的标题内容
					contentnomore: '没有更多数据了', //可选，请求完毕若没有更多数据时显示的提醒内容；
					callback: loadmore //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
				}
			}
		});
		//加载数据
		var isall = "true";
		var pageIndex = 1;
		var method = "GetReportWhole";
		var pageSize = 10;
		$scope.doSearch = function(pageIndex, method) {
			var state = app.getState();
			var parameter = {
				pageIndex: pageIndex,
				pageSize: pageSize,
			};
			state.method = method;
			state.parameter = parameter;
			posthelper.httppost(app.serverUrl, state, function callback(backdata) {
				$scope.$apply(function() {
					console.log(JSON.stringify(backdata));
					if(pageIndex == 1) {
						var reports = [];
						var datas = [];
						angular.forEach(backdata, function(item, index) {
							var statesstr="";
							if(item.type==1){
								statesstr="<strong>【环境违法行为】</strong>	  ";
							}else{
								statesstr="<strong>【机动车冒黑烟】</strong>	  "
							}
							var data = {
								type: item.type,
								ID: item.ID,
								types: item.types,
								Title:$sce.trustAsHtml(statesstr+item.Title),
								State: item.State,
								CreateTime: item.CreateTime
							}
							datas.push(data);
						});
						var report = {
							newslist: datas
						}
						reports.push(report);
						$scope.reports = reports;
					} else {
						if(backdata.length != 0) {
							mui('#refreshContainer').pullRefresh().endPullupToRefresh(false);
							var reports = [];
							var datas = [];
							angular.forEach(backdata, function(item, index) {
								var statesstr="";
							if(item.type==1){
								statesstr="<strong>【环境违法行为】</strong>	  ";
							}else{
								statesstr="<strong>【机动车冒黑烟】</strong>	  "
							}
							var data = {
								type: item.type,
								ID: item.ID,
								types: item.types,
								Title:$sce.trustAsHtml(statesstr+item.Title),
								State: item.State,
								CreateTime: item.CreateTime
							}
								datas.push(data);
							});
							var report = {
								newslist: datas
							}
							reports.push(report);
							$scope["reports" + pageIndex] = reports;
							var el = $compile('<div class="construct-height" id="history-height" ng-repeat="items in reports' + pageIndex + '">' +
								'<div class="reward-item"  type="{{item.type}}" ID="{{item.ID}}" types="{{item.types }}"  ng-repeat="item in items.newslist">' +
								'<div class="reward-article reward-article-color-a" ng-if="item.type==1" ng-bind-html="item.Title">' +
								'在某地发现某某污染物严重影响了环境质量在某地发现某某污染物严重影响了环境质量在某地发现某某污染物严重影响了环境质量' +
								'</div>' +
								'<div class="reward-article reward-article-color-b" ng-if="item.type==2" ng-bind-html="item.Title">' +
								'在某地发现某某污染物严重影响了环境质量在某地发现某某污染物严重影响了环境质量在某地发现某某污染物严重影响了环境质量' +
								'</div>' +
								'<div class="user-info">' +
								'<div class="phone-script" ng-bind="item.State"></div>' +
								'<div class="reward-day" ng-bind="item.CreateTime"></div>' +
								'</div>' +
								'</div>' +
								'</div>')($scope); //重新compile一下，再append
							$("#listcontent").append(el);
						} else {
							mui('#refreshContainer').pullRefresh().endPullupToRefresh(true);
						}

					}

				});
			});
		};

		$scope.doSearch(1, method);

		function loadmore() {
			pageIndex++;
			$scope.doSearch(pageIndex, method);
			$scope["reports"+pageIndex] = null;
		};
		document.getElementById("allList").addEventListener('tap', function() {
			if(method == "GetReportWhole") {
				return
			} else {
				method = "GetReportWhole";
				$(".construct-height").html('');
				mui('#refreshContainer').pullRefresh().refresh(true);
				$('.fix-option').eq(1).addClass('fix-color');
				$('.fix-option').eq(0).removeClass('fix-color');
				pageIndex = 1;
				$scope.doSearch(pageIndex, method);

			}
			isall = "true";
		});
		document.getElementById("myreport").addEventListener('tap', function() {
			if(app.getState().head.token == null || app.getState().head.token == '') {
				app.openWindow("login", "../../login.html");
				return;
			}
			if(method == "GetReportList") {
				return
			} else {
				method = "GetReportList";
				$(".construct-height").html('');
				mui('#refreshContainer').pullRefresh().refresh(true);
				$('.fix-option').eq(0).addClass('fix-color');
				$('.fix-option').eq(1).removeClass('fix-color');
				pageIndex = 1;
				$scope.doSearch(pageIndex, method);
			}
			isall = "false";
		});
		mui(".reward-two").on('tap', '.sort-one', function() {
			var id = this.getAttribute("id");
			if(id == 'hjwredit') {
				$scope.hjwredit();
			}
			if(id == 'jdcedit') {
				$scope.jdcedit();
			}
		})
		//环境污染编辑页跳转
		$scope.hjwredit = function() {
			app.openWindow("rule_polute", "rule_polute.html");
		}
		//机动车冒烟编辑页跳转
		$scope.jdcedit = function() {
			app.openWindow("rule", "rule.html");
		}
		//添加自定义事件
		window.addEventListener('refreshlist', function(event) {
			location.reload();
		});
		mui(".activity").on("tap", ".reward-item", function() {
			var id = this.getAttribute("ID"); //
			var type = this.getAttribute("type");
			var types = this.getAttribute("types");
			app.setParameter("rewardid", id);
			app.setParameter("update", "2");
			app.setParameter("type", type);
			if(isall == "true") {
//				app.openWindow("reward_report_map", "reward_report_map.html");
             app.openWindow("complaint_report_display", "complaint_report_display.html");
			} else {
				if(type == 1) {
					if(types == 0) {
						app.openWindow("complaint_report", "complaint_report.html");
					} else {
						app.openWindow("complaint_report_display", "complaint_report_display.html");
					}
				} else {
					if(types == 0) {
						app.openWindow("complaint_report_jdc", "complaint_report_jdc.html");
					} else {
						app.openWindow("complaint_report_display", "complaint_report_display.html");
					}
				}
			}

		});
	})
	.filter("replaceslash", function() {
		return function(input) {
			var out = "";
			return input.replace("/", "");
		}
	})
	.config(function($compileProvider) {
		$compileProvider.aHrefSanitizationWhitelist(/^\s*(https?|ftp|mailto|file|javascript):/);
	});