/** 
 *主页面控制器
 * @sxy
 **/

angular.module('zhxyteacher.air_change', ["posthelper"])

	.controller('air_change_controller', function($scope, posthelper,$filter,$interval) {
		mui.init({
			swipeBack: true
		});
		var timer = null;
		$scope.currenttime = "";
		$scope.i = 0;
        $scope.time = new Array();
        $scope.backdata = "";
        $scope.aData = [];
		var oDate = new Date();
		oDate.setDate(oDate.getDate() - 1) //将oDate的日期设为当前日期的前一天
		var sDate = oDate.getFullYear() + "/" + (oDate.getMonth() + 1) + "/" + oDate.getDate();
		//获得2017/4/25格式的日期
        //默认播放按钮选中
		function selItems(time, backdata) { //过滤函数
			return backdata.where(function(t) {
				return t.STime == time; //返回指定的时间对应的数据
			})
		}
		//获取时间
		function gettime(backdata){
			angular.forEach(backdata, function(item) {
				if($scope.time.indexOf (item.STime) ==-1){
					if(item.STime !=''){
						$scope.time.push(item.STime);
					}
				}
			});
			$scope.time.sort(function(a,b){
				
				var aa = $filter('date')(new Date(a),'yyyyMMddHH');
				var bb = $filter('date')(new Date(b),'yyyyMMddHH');
				return aa - bb;
			});
			$scope.listtime = $scope.time;
			angular.forEach($scope.time, function(item) {
				console.log(item);
			});
		}

		//地图
		var oProvince = document.getElementById('province');
		oProvince.style.width = document.documentElement.clientWidth + 'px';
		oProvince.style.height = document.documentElement.clientWidth * 0.9 + 'px';

		require.config({
			paths: {
				echarts: "../../../js/utils/echarts"
			}
		}); //单文件引入echart
        
		var state = app.getState();
		var method = 'GetTrendChart';
		var parameter = {};
		state.method = method;
		state.parameter = parameter;
		posthelper.httppost(app.serverUrl, state, function callback(backdata) {
			$scope.$apply(function() {
				console.log(JSON.stringify(backdata));
				//取出时间，处理
				gettime(backdata);
				$scope.backdata = backdata;
				airChangeMap(selItems($scope.time[0], backdata)); //读取到数据后调用函数
				$scope.currenttime = $scope.time[0].substr(5,$scope.time[0].length-8).replace("/","-");
				//setInterval("changeair()","1000");
				timer = $interval(function(){
			       if($scope.i<$scope.time.length  ){
						$scope.i++;
					}else if($scope.i  = $scope.time.length ){
						$scope.i = 0;
						$scope.currenttime = $scope.time[$scope.i].substr(5,$scope.time[$scope.i].length-8).replace("/","-");
					    $scope.selecttime($scope.time[$scope.i]);
					    $interval.cancel(timer);
					}
					$scope.currenttime = $scope.time[$scope.i].substr(5,$scope.time[$scope.i].length-8).replace("/","-");
					$scope.selecttime($scope.time[$scope.i]);
			       },4000);
			});
		});	
		//循环调取
		$scope.next = function(type){
			//重置播放颜色
			$scope.cancel();
			console.log("-------"+(type == 1 && $scope.i !=0));
			if(type == 1 && $scope.i !=0){
				$scope.i =  $scope.i-1;
			}else if(type == 1 && $scope.i ==0){
				mui.toast("已到最后一条");
			}else if(type==2 && $scope.i < $scope.time.length){
				$scope.i = $scope.i +1;
			}else if(type==2 &&$scope.i  == $scope.time.length){
				mui.toast("已到第一条");
			}
			console.log("scopei ===="+$scope.i);
			console.log($scope.time.length );
			$scope.currenttime = $scope.time[$scope.i].substr(5,$scope.time[$scope.i].length-8).replace("/","-");
			console.log("currenttime:"+$scope.currenttime);
			$scope.selecttime($scope.time[$scope.i]);
			var startplay=document.getElementById("startplay");
			startplay.setAttribute("class","both-time-gap");
		}
		$scope.cancel = function(){
			var startplay=document.getElementById("startplay");
			startplay.setAttribute("class","both-time-gap");
			console.log("暂停....");
			//mui.toast("已暂停播放");
			$interval.cancel(timer);
		}
		$scope.start = function(){
			var startplay=document.getElementById("startplay");
			startplay.setAttribute("class","both-time-gap both-time-gap-color");
			console.log("播放....");
			//mui.toast("已开启自动播放");
			timer = $interval(function(){
			       if($scope.i<$scope.time.length  ){
						$scope.i++;
					}else if($scope.i  = $scope.time.length ){
						$scope.i = 0;
					}
					$scope.currenttime = $scope.time[$scope.i].substr(5,$scope.time[$scope.i].length-8).replace("/","-");
					$scope.selecttime($scope.time[$scope.i]);
			       },4000);
		}
		
		$scope.selecttime = function(selecttime){
			airChangeMap(selItems(selecttime, $scope.backdata)); 
		}

		function airChangeMap(backdata) {
			var backdataFiltered = backdata; //optionsArray必须用第一个时间占位
			var aData = [];
			angular.forEach(backdataFiltered, function(item) {
//				console.log("aqi-----------------------------:"+item.AQI);
				aData.push({
					"name": item.cname + "市",
					"value": item.AQI
				});
			});
            //配置
			var option = {
				title: {
					text: '山东地图',
					subtext: ''
				},
				tooltip: {
					show: false
				},
				legend: {
					orient: 'vertical',
					x: 'right',
					data: ['污染指数']
				},
				dataRange: {
					x: 'right',
					y: 'bottom',
					splitList: [{
							end: 50,
							color: "#00E400",
							label: "优"
						},
						{
							start: 51,
							end: 100,
							color: "#F8F225",
							label: "良"
						},
						{
							start: 101,
							end: 150,
							color: "#FF7E00",
							label: "轻度污染"
						},
						{
							start: 151,
							end: 200,
							color: "#FF0000",
							label: "中度污染"
						},
						{
							start: 201,
							end: 300,
							color: "#99004C",
							label: "重度污染"
						},
						{
							start: 301,
							color: "#7E0023",
							label: "严重污染"
						}
					]
				},
				series: [{
					name: '污染指数',
					type: 'map',
					mapType: '山东',
					hoverable: false,
					itemStyle: {
						normal: {
							label: {
								show: true,
								formatter: '{a}\n{b}'
							}
						},

						emphasis: {
							label: {
								show: false
							}
						}
					},
					data: aData
				}]
			}

//			for(var i = 1; i < 24; i++) {
//				backdataFiltered = selItems(i, backdata); //每次循环过滤一遍backdata
//				aData = []; //先把aData重置
//				angular.forEach(backdataFiltered, function(item) {
//					aData.push({
//						"name": item.cname + "市",
//						"value": item.AQI
//					});
//				});
//				var _array = [{
//					data: aData
//				}];
//				optionsArray.push({
//					series: _array
//				})
//			}

//			var a = 0;
//			var timeArray = [];
//			for(i = 0; i < 24; i++) {
//				timeArray.push(i + '')
//			}

			require(
				[
					'echarts',
					'echarts/chart/map'
				],
				function(ec) {

					// --- 地图 --- 
					var myChart = ec.init(oProvince);
//					myChart.showLoading({
//					    text: '正在努力的读取数据中...',    //loading话术
//					});
					myChart.setOption(option);
				}
			);
		}

		//地图结束
	})
	.filter("replaceslash", function() {
		return function(input) {
			var out = "";
			return input.replace("/", "");
		}
	})
	.filter("formatedate", function() {
		return function(input) {
			var out = "";
			out = input.substr(input.indexOf("/")+1);
			out = out.substring(out.indexOf("/")+1,out.indexOf(":")).replace(" ","日")+"时";
			return out;
		}
	})
	.config(function($compileProvider) {
		$compileProvider.aHrefSanitizationWhitelist(/^\s*(https?|ftp|mailto|file|javascript):/);
	});