/** 
 *主页面控制器
 * @sxy
 **/

angular.module('zhxyteacher.air_quality_hight', ["posthelper"])

	.controller('air_quality_hight_controller', function($scope, posthelper) {
		mui.init({
			swipeBack: true
		});
		
		//
		$scope.ifCity = true;
		$scope.title = "青岛市所辖六区四市排名";
		$scope.time = new Date();
		$scope.year = $scope.time.getFullYear();
		$scope.month = $scope.time.getMonth();
		$scope.startime = $scope.year + "-" + $scope.month + "-01";
		$scope.lastday = new Date($scope.year,$scope.month,0).getDate();
		$scope.endtime = $scope.year + "-" + $scope.month + "-"+ $scope.lastday;
		$scope.currenttime = $scope.year + "年" +$scope.month+"月"; 
		$scope.listdata = "";
		$scope.city ="各市";
		var state = app.getState();
		//省各市
		$scope.loadProvince = function(){
			$scope.city = "各市";
			$scope.title = "山东省17地市排名";
			$scope.ifCity = false;
			state.method = 'GetExcellent';
			state.parameter = {
				StartTime:$scope.startime,
				EndTime:$scope.endtime
			};
			//获取省各市排行
			posthelper.httppost(app.serverUrl, state, function callback(backdata) {
				$scope.$apply(function() {
					console.log("数据："+JSON.stringify(backdata));
					$scope.listdata =backdata;
				});
			 });
		}
		//市各区
		$scope.loadCity = function(){
			$scope.city = "各区";
			$scope.title = "青岛市所辖六区四市排名";
			$scope.ifCity = true;
			state.method = 'GetCityExcellent';
			state.parameter = {
				StartTime:$scope.startime,
				EndTime:$scope.endtime
			};
			//获取省各市排行
			posthelper.httppost(app.serverUrl, state, function callback(backdata) {
				$scope.$apply(function() {
					console.log("数据："+JSON.stringify(backdata));
					$scope.listdata =backdata;
				});
			 });
		}
		
		$scope.loadCity();
		
		$scope.switch = function(param){
			if(param == 1){
				$scope.loadCity();
			}else{
				$scope.loadProvince();
			}
		}
		$scope.leftmonth= function(){
			if($scope.year== '2017' && $scope.month == '1'){
				mui.toast("数据只支持到2017年1月");
				return;
			}
			$scope.time = new Date($scope.time.getFullYear(), $scope.time.getMonth() - 1, 1);
			$scope.year = $scope.time.getFullYear();
		    $scope.month = $scope.time.getMonth();
		    if($scope.month == 0){
		    	$scope.year = $scope.time.getFullYear()-1;
		    	$scope.month = 12;
		    }
		    console.log($scope.year+$scope.month);
		    $scope.startime = $scope.year + "-" + $scope.month + "-01";
			$scope.lastday = new Date($scope.year,$scope.month,0).getDate();
			$scope.endtime = $scope.year + "-" + $scope.month + "-"+ $scope.lastday;
			$scope.currenttime = $scope.year + "年" +$scope.month+"月"; 
			if($scope.ifCity){
				$scope.loadCity();
			}else{
				$scope.loadProvince();
			}
			
		}
		$scope.rightmonth = function(){
			var  currentdate = new Date();
			var currentmonth = currentdate.getFullYear()+currentdate.getMonth()+1
			
			$scope.time = new Date($scope.time.getFullYear(), $scope.time.getMonth() + 1, 1);
			$scope.year = $scope.time.getFullYear();
		    $scope.month = $scope.time.getMonth();
		     if($scope.month == 0){
		     	$scope.year = $scope.time.getFullYear()-1;
		    	$scope.month = 12;
		    }
		     var nextmonth = $scope.year+$scope.month;
		     if(nextmonth >= currentmonth){
		     	$scope.time = new Date($scope.time.getFullYear(), $scope.time.getMonth() -1, 1);
		     	mui.toast("只能查询当前月以前数据");
		     	return;
		     }
		    console.log($scope.year+"年"+$scope.month+"月");
		    $scope.startime = $scope.year + "-" + $scope.month + "-01";
			$scope.lastday = new Date($scope.year,$scope.month,0).getDate();
			$scope.endtime = $scope.year + "-" + $scope.month + "-"+ $scope.lastday;
			$scope.currenttime = $scope.year + "年" +$scope.month+"月"; 
			if($scope.ifCity){
				$scope.loadCity();
			}else{
				$scope.loadProvince();
			}
		}
		
	})
	.filter("replaceslash", function() {
		return function(input) {
			var out = "";
			return input.replace("/", "");
		}
	})
	.config(function($compileProvider) {
		$compileProvider.aHrefSanitizationWhitelist(/^\s*(https?|ftp|mailto|file|javascript):/);
	});