/** 
 *主页面控制器
 * @sxy
 **/

angular.module('zhxyteacher.air_quality_prediction', ["posthelper"])

	.controller('air_quality_prediction_controller', function($scope,$sce, posthelper) {
		mui.init({
			swipeBack: true
		});
		var toDouble = function(str) { //一位数转两位数
			if(str < 10) {
				str = '0' + str
			};
			return str;
		}
		$scope.firstmsg = '';
		$scope.msg = '';
		//判断第几次进入
		var oDate = new Date();
		var realYear = oDate.getFullYear();
		var realMonth = oDate.getMonth() + 1;
		var realDay = oDate.getDate();
		var currentday = oDate.getFullYear() + '' + realMonth + '' + realDay;
		var localday = app.getParameter("iffirstcome");
		console.log(currentday + ":" + localday);
		console.log(JSON.stringify(localday) + '---localday-----------' + (localday != '' && currentday - localday == 0));

		if(localday == '' || JSON.stringify(localday) == '{}' || currentday - localday > 0) {
			//第一次进入
			$scope.iffirstcome = true;
			app.setParameter("iffirstcome", currentday);
		} else if(localday != '' && currentday - localday == 0) {
			//不是第一进入
			$scope.iffirstcome = false;
		}
		//加载数据
		$scope.closeTip = function() {
			document.getElementById("ifshow").style.display="none";
		}
		$scope.doSearch = function() { //更新数据
			var state = app.getState();
			var method = 'GetForecastList';
			var parameter = {};
			state.method = method;
			state.parameter = parameter;
			var pageIndex = 1;
			var type = '2';
			state.parameter.pageSize = 9;
			state.parameter = parameter;
			state.parameter.pageIndex = pageIndex;
			state.parameter.type = type;
			posthelper.httppost(app.serverUrl, state, function callback(backdata) {
				$scope.$apply(function() {
					document.getElementById("ifshow").style.display="block";
					var yesterday = GetYesterdayDate(1);
					console.log("backdata-----" + JSON.stringify(backdata));
					console.log("length-----" + backdata.length);
					console.log(($scope.iffirstcome == false) + ":" + backdata.length)
					console.log($scope.iffirstcome + ":" + JSON.stringify(backdata));
					var datas = backdata.where(function(t) {
						return t.sdate == yesterday;
					});
					if(datas.length == 0) {
						$scope.yesterstr='';
					  } else {
						var yesterdayscore = datas[0].AQIValue;
						$scope.yesterstr=$sce.trustAsHtml('昨日您的预测值为<span>'+yesterdayscore+'</span>,监测值将于明天凌晨公布，敬请期待!');
					}
					//获取昨天的分数
					if(backdata.length == 0) {
						document.getElementById("second").style.display = "block";
						$scope.msg = '您还没有进行过预测！,赶快尝试下吧';
					} else if($scope.iffirstcome == false && backdata.length != 0) {
						console.log('sdata----------' + backdata[0].sdate);
						if(backdata[0].sdate == GetDateStr(1)) {
							$scope.msg = 1;
							document.getElementById("second").style.display = "none";
							document.getElementById("third").style.display = "none";
							document.getElementById("four").style.display = "none";
							$scope.score = backdata[0].AQIValue;
						} else {
							$scope.msg = 2;
							document.getElementById("second").style.display = "block";
							document.getElementById("third").style.display = "none";
							document.getElementById("four").style.display = "none";
						}
					} else if($scope.iffirstcome == true && backdata.length != 0) {
						if(backdata[0].AQI == '' && backdata.length > 1) {
							$scope.score = backdata[1].AQIValue;
							$scope.aqi = backdata[1].AQI;
							console.log("3,4" + backdata[1].Score);
							if(backdata[1].Score == '') {
								$scope.msg = 4;
								document.getElementById("second").style.display = "none";
								document.getElementById("third").style.display = "none";
								document.getElementById("four").style.display = "block";
							} else {
								$scope.msg = 3;
								document.getElementById("third").style.display = "block";
								document.getElementById("four").style.display = "none";
								$scope.fscore = backdata[1].Score;
							}
						} else {
							$scope.score = backdata[0].AQIValue;
							$scope.aqi = backdata[0].AQI;
							console.log("3.4,2" + backdata[1].Score);
							if(backdata[1].Score == '') {
								$scope.msg = 4;
								document.getElementById("second").style.display = "none";
								document.getElementById("third").style.display = "none";
								document.getElementById("four").style.display = "block";
							} else {
								$scope.msg = 3;
								document.getElementById("second").style.display = "none";
								document.getElementById("third").style.display = "block";
								document.getElementById("four").style.display = "none";
								$scope.fscore = backdata[0].Score;
							}
						}
					}
					console.log($scope.msg);
				});
			});
		}

		function GetDateStr(AddDayCount) {
			var dd = new Date();
			dd.setDate(dd.getDate() + AddDayCount); //获取AddDayCount天后的日期 
			var y = dd.getFullYear();
			var m = dd.getMonth() + 1; //获取当前月份的日期 
			var d = dd.getDate();
			if(m < 10) {
				m = "0" + m;
			}
			if(d < 10) {
				d = '0' + d;
			}
			return y + "-" + m + "-" + d;
		}

		function GetYesterdayDate(AddDayCount) {
			var dd = new Date();
			dd.setDate(dd.getDate()); //获取AddDayCount天前的日期 
			var y = dd.getFullYear();
			var m = dd.getMonth() + 1; //获取当前月份的日期 
			var d = dd.getDate();
			if(m < 10) {
				m = "0" + m;
			}
			if(d < 10) {
				d = '0' + d;
			}
			return y + "-" + m + "-" + d;
		}
		$scope.doSearch();
		//将2017/4/1 0:00:00转换成20170401 以便添加签到样式
		var toDate = function(sDate) {
			var iDate = sDate.split(' ')[0].split('/');
			for(var i = 1; i < 3; i++) {
				if(iDate[i] < 10) {
					iDate[i] = '0' + iDate[i]
				};
			}
			return(iDate.join(''))
		}
		//获取当前年份和月份
		var oDate = new Date();
		var curYear = oDate.getFullYear();
		var curMonth = oDate.getMonth() + 1;
		curMonth = toDouble(curMonth);

		$scope.aqi = "";
		$scope.remark = "";
		$scope.levelScore = "";

		function isInteger(obj) {
			reg = /^[-+]?\d+$/;
			if(!reg.test(obj)) {
				return false;
			} else {
				return true;
			}
		}

		//提交
		$scope.submit = function() {
			if(!$scope.aqi) {
				alert('空气质量AQI数值不能为空');
				return false;
			} else if(isNaN($scope.aqi)) {
				alert('空气质量AQI数值包含非数字');
				return false;
			} else if($scope.aqi < 0 || $scope.aqi > 500) {
				alert('空气质量AQI数值需要大于0小于500的数字');
				return false;
			}
			var state = app.getState();
			state.method = "GetForecast";
			state.parameter = {
				AQIValue: $scope.aqi,
				Remark: $scope.remark
			}
			posthelper.httppost(app.serverUrl, state, function callback(backdata) {
				$scope.$apply(function() {
					if(backdata.type == 'ok') {
						mui.toast("提交成功");
					} else {
						mui.toast(backdata.msg);
					}
				});
			});
		}
		$scope.GetilevelScore = function() {
			var state = app.getState();
			state.method = "GetilevelScore";
			state.parameter = {}
			posthelper.httppost(app.serverUrl, state, function callback(backdata) {
				$scope.$apply(function() {
					console.log(JSON.stringify(backdata));
					$scope.levelScore = backdata;
				});
			});
		}
		$scope.loaddata = function(YYYY, MM) {
			var state = app.getState();
			state.method = "GetForecastList";
			state.parameter = {
				type: '1',
				year: YYYY,
				month: MM
			}
			posthelper.httppost(app.serverUrl, state, function callback(backdata) {
				$scope.$apply(function() {
					console.log(JSON.stringify(backdata));

					$('.currentMonth').each(function(index, value) { //在当月日期里循环添加已签到样式
						$(value).css("background", "white");
					});
					$('.otherMonth').each(function(index, value) { //在当月日期里循环添加已签到样式
						$(value).css("background", "white");
					});
					angular.forEach(backdata, function(data, index) {
						data.sdate = data.sdate.replace('-', '').replace('-', ''); //将sdate转换成20170401
						if(data.colour != "" && data.colour != undefined) {
							$('.currentMonth').each(function(index, value) { //在当月日期里循环添加已签到样式
								if($(value).attr('date') == data.sdate) {
									console.log($(value).attr('date') + ":" + data.sdate);
									$(value).css("background", data.colour);
								};
							});
						};
					});
				});
			});
		}
		$scope.GetilevelScore();
		$scope.loaddata(curYear, curMonth);

		//左右按钮切换月份
		var iMonth = curMonth;
		var iYear = curYear;

		$('#prevMonth').on('click', function() {
			iMonth--;
			if(iMonth == 0) {
				iMonth = 12;
				iYear--;
			};
			$scope.loaddata(iYear, iMonth);
		});

		$('#nextMonth').on('click', function() {
			iMonth = parseInt(iMonth) + 1;
			iYear = parseInt(iYear);
			if(iMonth == 13) {
				iMonth = 1;
				iYear++;
			};
			$scope.loaddata(iYear, iMonth);
		});
		//预测记录跳转
		mui('.activity').on('tap', '.subject-title', function() {
			app.setParameter("iYear", iYear);
			app.setParameter("iMonth", iMonth);
			app.openWindow("air_quality_prediction_record", "air_quality_prediction_record.html");
		});
		$scope.openfile = function(fileurl) {
			console.log(fileurl);
			mui.plusReady(function() {
				//				alert(plus.os.name);
				if(plus.os.name == 'Android') {
					plus.runtime.openURL(fileurl);
				} else {
					var wait = plus.nativeUI.showWaiting("正在打开文件...");
					var dtask = plus.downloader.createDownload(fileurl, {
						method: "GET"
					}, function(d, status) {
						if(status == 200) {
							plus.runtime.openFile(d.filename, {}, function(e) {
								wait.close();
								mui.alert("无法打开此文件：" + e.emssage, "我的软件");
							});
							wait.close();
						} else {
							wait.close();
							mui.alert("文件打开失败: " + status, "我的软件");
						}
					});
					dtask.start();
				}

			})
		}
		$scope.openScore = function() {
			clicked('../../main/complain.html', true, false, {
				title: "积分说明",
				targeturl: app.baseUrl + "/upload/explain/explain.html"
			});
		}

	})
	.filter("replaceslash", function() {
		return function(input) {
			var out = "";
			return input.replace("/", "");
		}
	})
	.config(function($compileProvider) {
		$compileProvider.aHrefSanitizationWhitelist(/^\s*(https?|ftp|mailto|file|javascript):/);
	});