/** 
 *主页面控制器
 * @sxy
 **/

angular.module('zhxyteacher.index_full', ["posthelper"])

	.controller('index_full_controller', function($scope,$sce, posthelper) {
		mui.init({
			swipeBack: true
		});
		$scope.wait = 5;
		mui.plusReady(function() {

		})

		$scope.content = "" + '进入主页' + "";
		$scope.isback=false;//是否显示返回键
		if(app.getParameter("fullcontent") == '查看详情') {
			$scope.isback=true;
			$scope.content = "" + app.getParameter("fullcontent") + "";
		}else{
			$scope.isback=false;
		}
		$scope.openview = function() {
			if($scope.content == '查看详情') {
				app.openWindow("air_quality", "air_quality.html");
			} else {
				//app.openWindow("main", "../../main/main.html");
				mui.plusReady(function() {
					if(plus.webview.getWebviewById("active_display")) {
						plus.webview.getWebviewById("active_display").close();
						plus.webview.currentWebview().close();
					}
				})
			}
		}
		var old_back = mui.back;
		mui.back = function() {
			app.setParameter("fullcontent", '进入主页');
			old_back();
		}
		//实时空气质量显示
		var state = app.getState();
		var method = 'GetAq';
		var parameter = {};
		state.method = method;
		state.parameter = parameter;
		posthelper.httppost(app.serverUrl, state, function callback(backdata) {
			$scope.$apply(function() {
				console.log(JSON.stringify(backdata));
				state.method = "GetAqBgi";
				state.parameter = {
					"filename": backdata.VerticalImgIcon,
					"type": "1"
				};
				posthelper.httppost(app.serverUrl, state, function callback(data) {
					$scope.$apply(function() {
						console.log(JSON.stringify(data));
						$scope.ImgIcon = data.imgdata;
					});
				});
				moment.locale('zh-cn'); //选择语言（中文）
				var nowdate = moment().subtract(10, 'days').calendar();
				var weeks = moment().format('dddd');
				var updatetime = moment(backdata.Date_Time).format('YYYY-MM-DD HH');
				$scope.nowdate = nowdate; //当前日期
				$scope.weeks = weeks; //当前周几
				$scope.updatetime = updatetime + ":00更新";
				$scope.AppWeather = backdata.AppWeather; //天气
				//				$scope.ImgIcon = backdata.ImgIcon;
				$scope.Version = backdata.Version; //版本号
				var Date_Time = moment(backdata.Date_Time).format('YYYY-MM-DD');
				$scope.Date_Time = Date_Time; //时间
				$scope.AQIType = backdata.AQIType; //污染等级
				$scope.AQI = backdata.AQI; //AQI指数
				$scope.AQILvl = backdata.AQILvl;
				$scope.AQIWrw = $sce.trustAsHtml(backdata.AQIWrw);
				if(0 < $scope.AQI && $scope.AQI < 51) {
					$scope.aqilength = ($scope.AQI / 50 * (100 / 6));
				}
				if(50 < $scope.AQI && $scope.AQI < 101) {
					$scope.aqilength = (100 / 6) * 1 + (($scope.AQI - 50) / 50 * (100 / 6));
				}
				if(100 < $scope.AQI && $scope.AQI < 151) {
					$scope.aqilength = (100 / 6) * 2 + (($scope.AQI - 100) / 50 * (100 / 6));
				}
				if(150 < $scope.AQI && $scope.AQI < 201) {
					$scope.aqilength = (100 / 6) * 3 + (($scope.AQI - 150) / 50 * (100 / 6));
				}
				if(200 < $scope.AQI && $scope.AQI < 301) {
					$scope.aqilength = (100 / 6) * 4 + (($scope.AQI - 200) / 100 * (100 / 6));
				}
				if(300 < $scope.AQI && $scope.AQI < 501) {
					$scope.aqilength = (100 / 6) * 5 + (($scope.AQI - 300) / 200 * (100 / 6));
				}
				//根据不同级别显示不同河豚照片
				if(backdata.AQILvl == "一级") {
					$scope.AQILvlimg = "one.png";
					//					$scope.ImgIcon = "2-1.jpg";
				} else if(backdata.AQILvl == "二级") {
					$scope.AQILvlimg = "two.png";
					//					$scope.ImgIcon ="2-2.jpg";
				} else if(backdata.AQILvl == "三级") {
					$scope.AQILvlimg = "thire.png";
					//					$scope.ImgIcon ="2-3.jpg";
				} else if(backdata.AQILvl == "四级") {
					$scope.AQILvlimg = "four.png";
					//					$scope.ImgIcon ="2-4.jpg";
				} else if(backdata.AQILvl == "五级") {
					$scope.AQILvlimg = "five.png";
					//					$scope.ImgIcon ="2-5.jpg";
				} else if(backdata.AQILvl == "六级") {
					$scope.AQILvlimg = "six.png";
					//					$scope.ImgIcon ="2-6.jpg";
				}
				var AQI = parseInt(backdata.AQI);
				//根据不同AQI区间选择不同值得颜色
				if(AQI <= 50) {
					$scope.AQIcolor = "#00E400";
				} else if((AQI >= 51) && (AQI <= 100)) {
					$scope.AQIcolor = "#F8F225";
				} else if((AQI >= 101) && (AQI <= 150)) {
					$scope.AQIcolor = "#FF7E00";
				} else if((AQI >= 151) && (AQI <= 200)) {
					$scope.AQIcolor = "#FF0000";
				} else if((AQI >= 201) && (AQI <= 300)) {
					$scope.AQIcolor = "#99004C";
				} else if(AQI > 300) {
					$scope.AQIcolor = "#7E0023";
				}
				$scope.AQIWrw = $sce.trustAsHtml(backdata.AQIWrw); //首要污染物
				$scope.Remark = backdata.Remark; //温馨提示

				//加载完数据，开始倒计时
				//$scope.time();
			});
		});
		//返回上一页
		$scope.goback=function(){
			mui.back();
		}
		//		$scope.time = function(){
		//			if($scope.wait != 0){
		//				document.getElementById("backNum").innerHTML =$scope.wait+"秒";
		//				$scope.wait--;
		//				setTimeout(function() {  
		//              $scope.time()  
		//               },  
		//              1000); 
		//			}else{
		//				$scope.openview();
		//			}
		//		}
	})
	.filter("replaceslash", function() {
		return function(input) {
			var out = "";
			return input.replace("/", "");
		}
	})
	.config(function($compileProvider) {
		$compileProvider.aHrefSanitizationWhitelist(/^\s*(https?|ftp|mailto|file|javascript):/);
	});