/** 
 *主页面控制器
 * @sxy
 **/

angular.module('zhxyteacher.environmental_trends', ["posthelper"])

	.controller('environmental_trends_controller', function($scope, posthelper, $compile) {
		mui.init({
			swipeBack: true,
			pullRefresh: {
				container: refreshContainer, //待刷新区域标识，querySelector能定位的css选择器均可，比如：id、.class等
				up: {
					height: 50, //可选.默认50.触发上拉加载拖动距离
					auto: false, //可选,默认false.自动上拉加载一次
					contentrefresh: "正在加载...", //可选，正在加载状态时，上拉加载控件上显示的标题内容
					contentnomore: '没有更多数据了', //可选，请求完毕若没有更多数据时显示的提醒内容；
					callback: loadmore //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
				}
			}
		});
		//加载数据
		var state = app.getState();
		var method = 'GetWebNewList';
		var parameter = {};
		state.method = method;
		state.parameter = parameter;
		var pageIndex = 1;
		state.parameter.pageSize = 5;
		state.parameter.titlenumber = 15;
		state.parameter.contentnumber = 80;
		state.parameter.columnid = 300;
		state.parameter = parameter;
		$scope.doSearch = function(pageIndex) {
			state.parameter.pageIndex = pageIndex;
			posthelper.httppost(app.serverUrl, state, function callback(backdata) {
				$scope.$apply(function() {

					console.log(JSON.stringify(backdata));
					if(pageIndex == 1) {
						//$scope.headnewslist = backdata;
						mui.each(backdata, function(index, item) {
							var licontent = "<li newsid='" + item.newsid + "' newstype='"+item.type+"'><div class='top-banner' ><div class='banner-item img-one' style='background: url(" + item.file1 + ");background-repeat:no-repeat; background-size:100% 100%;-moz-background-size:100% 100%;'><div class='item-tit-trend'>" + item.Title + "</div></div></div></li>";
							$("ul").append(licontent);
						})
						$scope.newslist = backdata;
						lunbo();
					}  else {
						if(backdata.length != 0) {
							mui('#refreshContainer').pullRefresh().endPullupToRefresh(false);
							$scope["newslist" + pageIndex] = backdata;
						} else {
							mui('#refreshContainer').pullRefresh().endPullupToRefresh(true);
						}

					}

				});
			});
		}
		$scope.doSearch(1);

		function loadmore() {
			pageIndex++;
			$scope.doSearch(pageIndex);

			var el = $compile("<div class='listnew' ng-repeat='item in newslist" + pageIndex + "' id='{{item.newsid}}' newstype='{{item.type}}' ><div class='listnew-left'> <img src='{{item.file1}}'></div><div class='listnew-right'><h4>{{item.Title}}</h4><div class='smill-tit'>{{item.Content}}</div><span class='icon-time'>{{item.adddate}}</span></div></div>")($scope); //重新compile一下，再append
			$("#listcontent").append(el);
		}
		//模块跳转
		mui('.bottom-listnews').on('tap', '.listnew', function() {
			var id = this.getAttribute('id');
			var newstype = this.getAttribute("newstype");
			if(newstype == 1){
				app.setParameter("newsid", id);
			app.openWindow("trends_detailed", "../environmental/trends_detailed.html");
			}else{
				app.setParameter("newsid", id);
			    app.openWindow("trends_detailed", "../environmental/weixin_detailed.html");
			}
			
		});
		mui('ul').on('tap', 'li', function() {
			var id = this.getAttribute('newsid');
			var newstype = this.getAttribute("newstype");
			if(newstype == 1){
				app.setParameter("newsid", id);
			    app.openWindow("trends_detailed", "../environmental/trends_detailed.html");
			}else{
				app.setParameter("newsid", id);
			    app.openWindow("trends_detailed", "../environmental/weixin_detailed.html");
			}
			
		});

		function lunbo() {
			$("#hwslider").hwSlider({
				autoPlay: true,
				arrShow: true,
				dotShow: true,
				touch: true
			});
			$("#otherhwSlider").hwSlider({
				width: 500,
				height: 200,
				afterSlider: function() {
					console.log('滑动');
				}
			});
		}
	})
	.filter("replaceslash", function() {
		return function(input) {
			var out = "";
			return input.replace("/", "");
		}
	})
	.config(function($compileProvider) {
		$compileProvider.aHrefSanitizationWhitelist(/^\s*(https?|ftp|mailto|file|javascript):/);
	});